Index: gnome/platform/gdm.xml
===================================================================
--- gnome/platform/gdm.xml	(revision dcea4e3aa3da3ce5560d34043be3bf86a2a6cd7f)
+++ gnome/platform/gdm.xml	(revision 0608a6c43e013a46a2fe6b74096f67c1a6d28cc5)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY gdm-download-http "&gnome-download-http;/gdm/&gnome-minor-30;/gdm-&gdm-version;.tar.xz">
-  <!ENTITY gdm-download-ftp  "&gnome-download-ftp;/gdm/&gnome-minor-30;/gdm-&gdm-version;.tar.xz">
-  <!ENTITY gdm-md5sum        "b60868258eab8c01badcc9c680234e8e">
+  <!ENTITY gdm-download-http "&gnome-download-http;/gdm/&gnome-minor-32;/gdm-&gdm-version;.tar.xz">
+  <!ENTITY gdm-download-ftp  "&gnome-download-ftp;/gdm/&gnome-minor-32;/gdm-&gdm-version;.tar.xz">
+  <!ENTITY gdm-md5sum        "6aea9c398b2c0edb494c932d5865e877">
   <!ENTITY gdm-size          "1.2 MB">
-  <!ENTITY gdm-buildsize     "44 MB">
-  <!ENTITY gdm-time          "0.4 SBU">
+  <!ENTITY gdm-buildsize     "43 MB">
+  <!ENTITY gdm-time          "0.3 SBU">
 ]>
 
Index: gnome/platform/gnome-session.xml
===================================================================
--- gnome/platform/gnome-session.xml	(revision dcea4e3aa3da3ce5560d34043be3bf86a2a6cd7f)
+++ gnome/platform/gnome-session.xml	(revision 0608a6c43e013a46a2fe6b74096f67c1a6d28cc5)
@@ -6,8 +6,8 @@
 
   <!ENTITY gnome-session-download-http
-           "&gnome-download-http;/gnome-session/&gnome-minor-30;/gnome-session-&gnome-session-version;.tar.xz">
+           "&gnome-download-http;/gnome-session/&gnome-minor-32;/gnome-session-&gnome-session-version;.tar.xz">
   <!ENTITY gnome-session-download-ftp
-           "&gnome-download-ftp;/gnome-session/&gnome-minor-30;/gnome-session-&gnome-session-version;.tar.xz">
-  <!ENTITY gnome-session-md5sum        "45c33dfaad7d40c008f8131aff2e0391">
+           "&gnome-download-ftp;/gnome-session/&gnome-minor-32;/gnome-session-&gnome-session-version;.tar.xz">
+  <!ENTITY gnome-session-md5sum        "86e0c1aa81c8b61b2077deae2ae279b8">
   <!ENTITY gnome-session-size          "476 KB">
   <!ENTITY gnome-session-buildsize     "15 MB">
Index: gnome/platform/gnome-shell-extensions.xml
===================================================================
--- gnome/platform/gnome-shell-extensions.xml	(revision dcea4e3aa3da3ce5560d34043be3bf86a2a6cd7f)
+++ gnome/platform/gnome-shell-extensions.xml	(revision 0608a6c43e013a46a2fe6b74096f67c1a6d28cc5)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-shell-extensions-download-http
-           "&gnome-download-http;/gnome-shell-extensions/&gnome-minor-30;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
+           "&gnome-download-http;/gnome-shell-extensions/&gnome-minor-32;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
   <!ENTITY gnome-shell-extensions-download-ftp
-           "&gnome-download-ftp;/gnome-shell-extensions/&gnome-minor-30;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
-  <!ENTITY gnome-shell-extensions-md5sum        "624b7f986e4be2e2a990ea9ac92668e5">
+           "&gnome-download-ftp;/gnome-shell-extensions/&gnome-minor-32;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
+  <!ENTITY gnome-shell-extensions-md5sum        "9404b291813fc3575b63d76891bb565b">
   <!ENTITY gnome-shell-extensions-size          "196 KB">
-  <!ENTITY gnome-shell-extensions-buildsize     "4.3 MB">
+  <!ENTITY gnome-shell-extensions-buildsize     "4.4 MB">
   <!ENTITY gnome-shell-extensions-time          "less than 0.1 SBU">
 ]>
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision dcea4e3aa3da3ce5560d34043be3bf86a2a6cd7f)
+++ gnome/platform/gnome-shell.xml	(revision 0608a6c43e013a46a2fe6b74096f67c1a6d28cc5)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-shell-download-http
-           "&gnome-download-http;/gnome-shell/&gnome-minor-30;/gnome-shell-&gnome-shell-version;.tar.xz">
+           "&gnome-download-http;/gnome-shell/&gnome-minor-32;/gnome-shell-&gnome-shell-version;.tar.xz">
   <!ENTITY gnome-shell-download-ftp
-           "&gnome-download-ftp;/gnome-shell/&gnome-minor-30;/gnome-shell-&gnome-shell-version;.tar.xz">
-  <!ENTITY gnome-shell-md5sum        "3aef5c837c85f6e5318b845fc844b1fe">
+           "&gnome-download-ftp;/gnome-shell/&gnome-minor-32;/gnome-shell-&gnome-shell-version;.tar.xz">
+  <!ENTITY gnome-shell-md5sum        "059529c91a3d84e6542f662be47a657f">
   <!ENTITY gnome-shell-size          "1.4 MB">
-  <!ENTITY gnome-shell-buildsize     "53 MB">
-  <!ENTITY gnome-shell-time          "0.4 SBU">
+  <!ENTITY gnome-shell-buildsize     "63 MB">
+  <!ENTITY gnome-shell-time          "0.3 SBU">
 ]>
 
@@ -73,14 +73,4 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Required patch:
-          <ulink url="&patch-root;/gnome-shell-&gnome-shell-version;-security_fix-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
     <bridgehead renderas="sect3">GNOME Shell Dependencies</bridgehead>
 
@@ -133,7 +123,5 @@
     </para>
 
-<screen><userinput>patch -Np1 -i ../gnome-shell-&gnome-shell-version;-security_fix-1.patch &amp;&amp;
-
-mkdir build &amp;&amp;
+<screen><userinput>mkdir build &amp;&amp;
 cd    build &amp;&amp;
 
@@ -168,6 +156,7 @@
           and gnome-shell-perf-tool
         </seg>
-       <seg>
-          libgnome-shell-browser-plugin.so (Browser Plugin)
+        <seg>
+          <!-- libgnome-shell-browser-plugin.so (Browser Plugin) -->
+          None
         </seg>
         <seg>
Index: gnome/platform/gnome-user-docs.xml
===================================================================
--- gnome/platform/gnome-user-docs.xml	(revision dcea4e3aa3da3ce5560d34043be3bf86a2a6cd7f)
+++ gnome/platform/gnome-user-docs.xml	(revision 0608a6c43e013a46a2fe6b74096f67c1a6d28cc5)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-user-docs-download-http
-           "&gnome-download-http;/gnome-user-docs/&gnome-minor-30;/gnome-user-docs-&gnome-user-docs-version;.tar.xz">
+           "&gnome-download-http;/gnome-user-docs/&gnome-minor-32;/gnome-user-docs-&gnome-user-docs-version;.tar.xz">
   <!ENTITY gnome-user-docs-download-ftp
-           "&gnome-download-ftp;/gnome-user-docs/&gnome-minor-30;/gnome-user-docs-&gnome-user-docs-version;.tar.xz">
-  <!ENTITY gnome-user-docs-md5sum        "42b55805d34ee8e384db9cc3cc13bcd1">
+           "&gnome-download-ftp;/gnome-user-docs/&gnome-minor-32;/gnome-user-docs-&gnome-user-docs-version;.tar.xz">
+  <!ENTITY gnome-user-docs-md5sum        "3eb879dd9c4255bf4e81848cbde0babd">
   <!ENTITY gnome-user-docs-size          "15 MB">
-  <!ENTITY gnome-user-docs-buildsize     "212 MB">
-  <!ENTITY gnome-user-docs-time          "2.0 SBU">
+  <!ENTITY gnome-user-docs-buildsize     "213 MB">
+  <!ENTITY gnome-user-docs-time          "2.2 SBU">
 ]>
 
Index: gnome/platform/yelp.xml
===================================================================
--- gnome/platform/yelp.xml	(revision dcea4e3aa3da3ce5560d34043be3bf86a2a6cd7f)
+++ gnome/platform/yelp.xml	(revision 0608a6c43e013a46a2fe6b74096f67c1a6d28cc5)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY yelp-download-http "&gnome-download-http;/yelp/&gnome-minor-30;/yelp-&yelp-version;.tar.xz">
-  <!ENTITY yelp-download-ftp  "&gnome-download-ftp;/yelp/&gnome-minor-30;/yelp-&yelp-version;.tar.xz">
-  <!ENTITY yelp-md5sum        "97792831ad391fde1c326df6a1e470a3">
-  <!ENTITY yelp-size          "1.3 MB">
+  <!ENTITY yelp-download-http "&gnome-download-http;/yelp/&gnome-minor-32;/yelp-&yelp-version;.tar.xz">
+  <!ENTITY yelp-download-ftp  "&gnome-download-ftp;/yelp/&gnome-minor-32;/yelp-&yelp-version;.tar.xz">
+  <!ENTITY yelp-md5sum        "f8d3463f95b636651b1879cbb0955def">
+  <!ENTITY yelp-size          "1.5 MB">
   <!ENTITY yelp-buildsize     "22 MB">
-  <!ENTITY yelp-time          "0.2 SBU">
+  <!ENTITY yelp-time          "0.1 SBU">
 ]>
 