Index: general.ent
===================================================================
--- general.ent	(revision feeb99a61a70598f4c193131bdd96b5030c13a4f)
+++ general.ent	(revision 613c524f6dd8c3fb2388e9eab796dc8b232a2d91)
@@ -243,4 +243,25 @@
                                    
 <!ENTITY gnome-version                "2.6">
+
+<!-- Part XI -->
+<!-- Chapter 33 --> 
+<!ENTITY AbiWord-version              "2.0.6">
+<!ENTITY gnumeric-version             "1.2.10"> 
+<!ENTITY gnucash-version              "1.8.9"> 
+<!ENTITY gimp-version                 "2.0.0"> 
+<!ENTITY evolution-version            "1.4.5">  
+
+<!-- Chapter 34 -->    
+
+
+<!-- Chapter 35 -->        
+
+
+
+<!-- Chapter 36 -->
+
+
+
+
+
 <!ENTITY docbook-dsssl-version        "1.78">
-
Index: xsoft/office/abiword.xml
===================================================================
--- xsoft/office/abiword.xml	(revision feeb99a61a70598f4c193131bdd96b5030c13a4f)
+++ xsoft/office/abiword.xml	(revision 613c524f6dd8c3fb2388e9eab796dc8b232a2d91)
@@ -1,10 +1,96 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY AbiWord-download-http "http://prdownloads.sourceforge.net/abiword/abiword-&AbiWord-version;.tar.bz2">
+  <!ENTITY AbiWord-download-ftp  " ">
+  <!ENTITY AbiWord-size          "24.3 MB">
+  <!ENTITY AbiWord-buildsize     "185 MB">
+  <!ENTITY AbiWord-time          "1.64 SBU">
+]>
+
 <sect1 id="AbiWord" xreflabel="AbiWord-&AbiWord-version;">
 <?dbhtml filename="AbiWord.html" ?>
 <title>AbiWord-&AbiWord-version;</title>
 
-&AbiWord-intro;
-&AbiWord-inst;
-<!-- &AbiWord-exp; -->
-&AbiWord-desc;
+<sect2>
+<title>Introduction to <application>AbiWord</application></title>
+
+<para>The <application>AbiWord</application> package contains a word processing application. This is useful for writing reports, letters and other formatted
+documents.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&AbiWord-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&AbiWord-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &AbiWord-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&AbiWord-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&AbiWord-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>AbiWord</application> dependencies</title>
+<sect4><title>Required</title>
+<para>
+<xref linkend="libglade"/> and
+<ulink url="http://fribidi.sourceforge.net/">FriBidi</ulink>
+</para></sect4>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="popt"/>,
+<xref linkend="aspell"/>,
+<xref linkend="gnome-libs"/>,
+<ulink url="http://gucharmap.sourceforge.net/">gucharmap</ulink>,
+<ulink url="http://www.abisource.com/enchant/">Enchant</ulink> and
+<ulink url="http://wvware.sourceforge.net/">wv</ulink>
+</para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>AbiWord</application></title>
+
+<para>Install <application>AbiWord</application> by running the following commands:</para>
+
+<screen><userinput><command>cd abi &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+cp ../abiword-docs/man/abiword.8 /usr/share/man/man8 &amp;&amp;
+cp -rf ../abiword-docs/help /usr/share/doc/abiword</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>AbiWord</application> package contains
+<command>abiword</command>, <command>ttfadmin.sh</command> and
+<command>ttftool</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>abiword</title>
+<para><command>abiword</command> is a symlink to the main
+<command>AbiWord</command> executable.</para></sect3>
+
+<sect3><title>ttfadmin.sh</title>
+<para><command>ttfadmin.sh</command> generates support files
+required by <application>AbiWord</application> for each TrueType font in a given
+directory.</para></sect3>
+
+<sect3><title>ttftool</title>
+<para><command>ttftool</command> is an utility for processing
+TrueType fonts.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: xsoft/office/evolution.xml
===================================================================
--- xsoft/office/evolution.xml	(revision feeb99a61a70598f4c193131bdd96b5030c13a4f)
+++ xsoft/office/evolution.xml	(revision 613c524f6dd8c3fb2388e9eab796dc8b232a2d91)
@@ -1,10 +1,132 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY evolution-download-http "http://ftp.gnome.org/pub/GNOME/sources/evolution/1.4/evolution-&evolution-version;.tar.bz2">
+  <!ENTITY evolution-download-ftp  "ftp://ftp.gnome.org/pub/GNOME/sources/evolution/1.4/evolution-&evolution-version;.tar.bz2">
+  <!ENTITY evolution-size          "12 MB">
+  <!ENTITY evolution-buildsize     "387 MB">
+  <!ENTITY evolution-time          "10.84 SBU">
+]>
+
 <sect1 id="evolution" xreflabel="Evolution-&evolution-version;">
 <?dbhtml filename="evolution.html" ?>
 <title>Evolution-&evolution-version;</title>
 
-&evolution-intro;
-&evolution-inst;
-&evolution-exp;
-&evolution-desc;
+<sect2>
+<title>Introduction to <application>Evolution</application></title>
+
+<para>The <application>Evolution</application> package contains an integrated 
+mail, calendar and address book suite.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&evolution-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&evolution-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &evolution-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&evolution-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&evolution-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required application: <ulink
+url="http://ftp2.nchu.edu.tw/UNIX/Database/BerkeleyDB/db-3.1.17.tar.gz"/></para></listitem>
+</itemizedlist></sect3>
+
+<sect3><title><application>Evolution</application> dependencies</title>
+<sect4><title>Required</title>
+<para>
+<xref linkend="openssl"/>,
+<xref linkend="libsoup"/>,
+<xref linkend="gal"/> and
+<xref linkend="gtkhtml"/>
+</para></sect4>
+<sect4><title>Optional</title>
+<para><xref linkend="openldap"/> and <xref linkend="gtk-doc"/></para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>Evolution</application></title>
+
+<note><para><application>Evolution</application> requires
+<application>Berkeley DB</application>-3.1.17. The details on 
+"why" are in the <filename>README</filename> file distibuted with the
+<application>Evolution</application> source code. <application>Evolution
+</application> links to the library statically, hence this book installs 
+the <application>Berkeley DB</application>-3.1.17 in <filename
+class="directory">/opt</filename>, which can be removed once 
+<application>Evolution</application> is installed.</para></note>
+
+<para>Install <application>Berkeley DB</application>-3.1.17 by
+running the following commands:</para>
+
+<screen><userinput><command>cd build_unix &amp;&amp;
+../dist/configure --prefix=/opt/db-3.1.17 --enable-compat185 &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+<para>Install <application>Evolution</application> by running the following 
+commands:</para>
+
+<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+    --with-db3=/opt/db-3.1.17 --enable-openssl &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+<para>Optionally, you may remove <application>Berkeley
+DB</application>-3.1.17 installed above with this command:</para>
+
+<screen><userinput><command>rm -rf /opt/db-3.1.17</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--enable-compat185</parameter>: Build support for older
+database files.</para>
+
+<para><parameter>--prefix=/opt/db-3.1.17</parameter>: This
+version of the Berkeley Database should not be installed in <filename
+class="directory">/usr</filename>, as it is only needed for the building
+of <application>Evolution</application>.</para>
+
+<para><parameter>--with-db3=/opt/db-3.1.17</parameter>: Specify
+the location where db-3.1.17 is installed.</para>
+
+<para><parameter>--enable-openssl</parameter>: This flag will compile
+<acronym>SSL</acronym> support into
+<application>Evolution</application>.</para>
+
+<para><parameter>--with-openldap</parameter>: This flag will compile
+<acronym>LDAP</acronym> support into
+<application>Evolution</application>.</para>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Evolution</application> package contains
+<command>evolution</command>.</para>
+</sect2>
+
+
+
+<sect2><title>Description</title>
+<sect3><title>evolution</title>
+<para><command>evolution</command> contains an email, calendar and
+address book suite.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: xsoft/office/gimp.xml
===================================================================
--- xsoft/office/gimp.xml	(revision feeb99a61a70598f4c193131bdd96b5030c13a4f)
+++ xsoft/office/gimp.xml	(revision 613c524f6dd8c3fb2388e9eab796dc8b232a2d91)
@@ -1,11 +1,141 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gimp-download-http " ">
+  <!ENTITY gimp-download-ftp  "ftp://ftp.gimp.org/pub/gimp/v2.0/gimp-&gimp-version;.tar.bz2">
+  <!ENTITY gimp-size          "13 MB">
+  <!ENTITY gimp-buildsize     "507 MB">
+  <!ENTITY gimp-time          "6.22 SBU">
+]>
+
 <sect1 id="gimp" xreflabel="GIMP-&gimp-version;">
 <?dbhtml filename="gimp.html" ?>
 <title>GIMP-&gimp-version;</title>
 
-&gimp-intro;
-&gimp-inst;
-&gimp-exp;
-&gimp-config;
-&gimp-desc;
+<sect2>
+<title>Introduction to <application><acronym>GIMP</acronym></application></title>
+
+<para>The <application><acronym>GIMP</acronym></application> package contains 
+the <acronym>GNU</acronym> Image Manipulation Program. This is useful for 
+photo retouching, image composition and image authoring.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gimp-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gimp-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gimp-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gimp-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gimp-time;</para></listitem></itemizedlist>
+</sect3>
+
+<!--
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (FTP): <ulink
+url="ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="ftp://ftp.gimp.org/pub/gimp/v1.2/v1.2.5/gimp-data-extras-1.2.0.tar.bz2"/></para></listitem></itemizedlist>
+</sect3>
+-->
+
+<sect3><title><application><acronym>GIMP</acronym></application> dependencies</title>
+<sect4><title>Required</title>
+<para>
+<xref linkend="GTK2"/> and
+<xref linkend="libart_lgpl"/>
+</para></sect4>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="gimp-print"/>,
+<xref linkend="libmng"/>,
+<xref linkend="librsvg"/>,
+<xref linkend="aalib"/>,
+<xref linkend="Python"/>,
+<xref linkend="gtk-doc"/>,
+<xref linkend="libgtkhtml"/>,
+<xref linkend="lcms"/>,
+<ulink url="../server/mail.html">MTA</ulink>,
+<ulink url="http://sourceforge.net/projects/libexif">libexif</ulink> and
+<ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink>
+</para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application><acronym>GIMP</acronym></application></title>
+
+<para>Install <application><acronym>GIMP</acronym></application> by running 
+the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc --disable-print &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><option>--disable-print</option>: This option is necessary when
+<application>gimp-print</application> is not installed.  If you have 
+<application>gimp-print</application> installed, this option would be removed.
+</para>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application><acronym>GIMP</acronym></application></title>
+
+<sect3><title>Config files</title>
+<para><filename>/etc/gimp/2.0/*</filename>, <filename>~/.gimp-2.0</filename></para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para><application><acronym>GIMP</acronym></application> executes a 
+configuration wizard for each user upon their initial invocation of the 
+program.</para>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>GIMP</acronym></application> package contains 
+<command>gimp</command>, <command>gimp-remote</command> and
+<command>gimptool</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>gimp</title>
+<para><command>gimp</command> is an image manipulation program. It works with 
+a variety of image formats and provides a large selection of tools.</para>
+</sect3>
+
+<sect3><title>gimp-remote</title>
+<para><command>gimp-remote</command> is a small utility that tells a running 
+<application><acronym>GIMP</acronym></application> to open a local or remote image file.</para></sect3>
+
+<sect3><title>gimptool</title>
+<para><command>gimptool</command> is a tool that can build plug-ins or
+scripts and install them if they are distributed in one source file.
+<command>gimptool</command> can also be used by programs that need to
+know what libraries and include-paths
+<application><acronym>GIMP</acronym></application> was compiled with.
+</para></sect3>
+
+</sect2>
 
 </sect1>
Index: xsoft/office/gnucash.xml
===================================================================
--- xsoft/office/gnucash.xml	(revision feeb99a61a70598f4c193131bdd96b5030c13a4f)
+++ xsoft/office/gnucash.xml	(revision 613c524f6dd8c3fb2388e9eab796dc8b232a2d91)
@@ -1,11 +1,99 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnucash-download-http "http://www.gnucash.org/pub/gnucash/sources/stable/gnucash-&gnucash-version;.tar.gz">
+  <!ENTITY gnucash-download-ftp  "ftp://ftp.at.gnucash.org/pub/gnucash/gnucash/sources/stable/gnucash-&gnucash-version;.tar.gz">
+  <!ENTITY gnucash-size          "7.4 MB">
+  <!ENTITY gnucash-buildsize     "150 MB">
+  <!ENTITY gnucash-time          "3.18 SBU">
+]>
+
 <sect1 id="gnucash" xreflabel="GnuCash-&gnucash-version;">
 <?dbhtml filename="gnucash.html" ?>
 <title>GnuCash-&gnucash-version;</title>
 
-&gnucash-intro;
-&gnucash-inst;
-&gnucash-exp;
-&gnucash-config;
-&gnucash-desc;
+<sect2>
+<title>Introduction to <application>GnuCash</application></title>
+
+<para><application>GnuCash</application> is a personal finance manager.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gnucash-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gnucash-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gnucash-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gnucash-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gnucash-time;</para></listitem></itemizedlist>
+</sect3>
+                                                                                
+<sect3><title><application>GnuCash</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="db"/>, <xref linkend="gal1"/>,
+<xref linkend="gtkhtml1"/>, <xref linkend="libghttp"/>,
+<xref linkend="guppi"/> and
+<xref linkend="gwrap"/></para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>GnuCash</application></title>
+
+<para>Install <application>GnuCash</application> by running the following 
+commands:</para>
+
+<screen><userinput><command>./configure --prefix=/opt/gnome &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--prefix=/opt/gnome</parameter>: Version &gnucash-version; of 
+<application>GnuCash</application> is a
+<application><acronym>GNOME</acronym></application> 1.4 application.
+</para>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application>GnuCash</application></title>
+
+<sect3><title>Configuration Information</title>
+
+<note><para><application>GnuCash</application> must be run as root once before 
+use.  Simply executing <command>gnucash</command> from an <application>X
+</application> terminal and clicking on the cancel button
+is sufficient.  This must be done prior to setting up accounts as an
+unprivileged user, due to the fact that
+<application>GnuCash</application> must create scheme
+catalogs for itself before it is used. </para></note>
+
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>GnuCash</application> package contains <command>gnucash.</command></para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>gnucash</title>
+<para><command>gnucash</command> is a personal finance manager.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: xsoft/office/gnumeric.xml
===================================================================
--- xsoft/office/gnumeric.xml	(revision feeb99a61a70598f4c193131bdd96b5030c13a4f)
+++ xsoft/office/gnumeric.xml	(revision 613c524f6dd8c3fb2388e9eab796dc8b232a2d91)
@@ -1,10 +1,96 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnumeric-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.2/gnumeric-&gnumeric-version;.tar.bz2">
+  <!ENTITY gnumeric-download-ftp  "ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.2/gnumeric-&gnumeric-version;.tar.bz2">
+  <!ENTITY gnumeric-size          "13.9 MB">
+  <!ENTITY gnumeric-buildsize     "270.7 MB">
+  <!ENTITY gnumeric-time          "2.81 SBU">
+]>
+
 <sect1 id="gnumeric" xreflabel="Gnumeric-&gnumeric-version;">
 <?dbhtml filename="gnumeric.html" ?>
 <title>Gnumeric-&gnumeric-version;</title>
 
-&gnumeric-intro;
-&gnumeric-inst;
-&gnumeric-exp;
-&gnumeric-desc;
+<sect2>
+<title>Introduction to <application>Gnumeric</application></title>
+
+<para>The <application>Gnumeric</application> package contains a spreadsheet 
+program. This is useful for financial analysis.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gnumeric-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gnumeric-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gnumeric-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gnumeric-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gnumeric-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>Gnumeric</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnomeprintui"/> and <xref linkend="libgsf"/></para></sect4>
+<sect4><title>Optional</title>
+<para>gda</para></sect4>
+</sect3>
+
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>Gnumeric</application></title>
+
+<para>Install <application>Gnumeric</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr --libexecdir=/usr/sbin \
+   --localstatedir=/var/lib  --sysconfdir=/etc &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--localstatedir=/var/lib</parameter>: This switch
+puts <application>ScrollKeeper</application> files in <filename
+class="directory">/var/lib/scrollkeeper</filename>
+instead of <filename class="directory">/usr/var/scrollkeeper</filename>.</para>
+
+<para><parameter>--sysconfdir=/etc</parameter>: This switch
+puts configuration files in <filename class="directory">/etc</filename> instead of
+<filename class="directory">/usr/etc</filename>.</para>
+
+<para><parameter>--libexecdir=/usr/sbin</parameter>: This switch
+puts libexec files in <filename class="directory">/usr/sbin</filename> instead of
+<filename class="directory">/usr/libexec</filename>.</para>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Gnumeric</application> package contains <command>gnumeric</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>gnumeric</title>
+
+<para><command>gnumeric</command> is
+<application><acronym>GNOME</acronym></application>'s spreadsheet
+application.</para>
+
+</sect3>
+
+</sect2>
 
 </sect1>
Index: xsoft/office/office.xml
===================================================================
--- xsoft/office/office.xml	(revision feeb99a61a70598f4c193131bdd96b5030c13a4f)
+++ xsoft/office/office.xml	(revision 613c524f6dd8c3fb2388e9eab796dc8b232a2d91)
@@ -1,2 +1,9 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
 <chapter id="xsoft-office">
 <?dbhtml filename="office.html" ?>
@@ -8,9 +15,9 @@
 they excel in doing one thing and doing it well.</para>
 
-&AbiWord;
-&gnumeric;
-&gnucash;
-&gimp;
-&evolution;
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="abiword.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnumeric.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnucash.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gimp.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="evolution.xml"/>
 
 </chapter>
Index: xsoft/xsoft.xml
===================================================================
--- xsoft/xsoft.xml	(revision feeb99a61a70598f4c193131bdd96b5030c13a4f)
+++ xsoft/xsoft.xml	(revision 613c524f6dd8c3fb2388e9eab796dc8b232a2d91)
@@ -3,5 +3,6 @@
 <title>X Software</title>
 
-&xsoft-office;
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="xsoft/office/office.xml"/> 
+<!-- &xsoft-office; -->
 &xsoft-suites;
 &xsoft-graphweb;