Index: general.ent
===================================================================
--- general.ent	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ general.ent	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "07">                   <!-- Always 2 digits -->
+<!ENTITY day          "08">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2016">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "July 7th &year;">
+<!ENTITY releasedate  "July 8th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/exempi.xml
===================================================================
--- general/genlib/exempi.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ general/genlib/exempi.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -33,5 +33,5 @@
     Extensible Metadata Platform).</para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libatasmart.xml
===================================================================
--- general/genlib/libatasmart.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ general/genlib/libatasmart.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/openobex.xml
===================================================================
--- general/genlib/openobex.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ general/genlib/openobex.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -186,5 +186,5 @@
         <listitem>
           <para>
-            is a tool that help <application>udev</application> to find connectable OBEX USB devices.
+            is a tool that helps <application>udev</application> find connectable OBEX USB devices.
           </para>
           <indexterm zone="openobex obex-check-device">
Index: general/genlib/talloc.xml
===================================================================
--- general/genlib/talloc.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ general/genlib/talloc.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -156,5 +156,5 @@
         <listitem>
           <para>
-            contains a replacemnt for the <application>Glibc</application>
+            contains a replacement for the <application>Glibc</application>
             malloc function.
           </para>
Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ general/sysutils/udisks2.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ gnome.ent	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -50,5 +50,8 @@
 <!ENTITY gvfs-version                      "1.28.2">
 <!ENTITY nautilus-version                  "3.20.1">
+<!ENTITY zenity-version                    "3.20.0">
+<!ENTITY gnome-bluetooth-version           "3.20.0">
 <!ENTITY gnome-keyring-version             "3.20.0">
+<!ENTITY gnome-settings-daemon-version     "3.20.1">
 <!ENTITY adwaita-icon-theme-version        "3.20">
 <!ENTITY gnome-icon-theme-version          "3.12.0">
Index: gnome/applications/network-manager-applet.xml
===================================================================
--- gnome/applications/network-manager-applet.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ gnome/applications/network-manager-applet.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -100,13 +100,12 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional" revision="sysv">
+      <xref linkend="ModemManager"/>,
       <ulink url="&gnome-download-http;/gnome-bluetooth/">
-        GNOME Bluetooth</ulink>,
+        GNOME Bluetooth</ulink>, and
       <ulink url="&gnome-download-http;/mobile-broadband-provider-info">
-        mobile-broadband-provider-info</ulink> (runtime), and
-      <ulink url="http://www.freedesktop.org/software/ModemManager/">
-        ModemManager</ulink>
+        mobile-broadband-provider-info</ulink> (runtime)
     </para>
     <para role="optional" revision="systemd">
-      <!-- <xref linkend="gnome-bluetooth"/> -->
+      <xref linkend="gnome-bluetooth"/>,
       <xref linkend="ModemManager"/> and
       <ulink url="&gnome-download-http;/mobile-broadband-provider-info">
Index: gnome/platform/gnome-bluetooth.xml
===================================================================
--- gnome/platform/gnome-bluetooth.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
+++ gnome/platform/gnome-bluetooth.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -0,0 +1,196 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnome-bluetooth-download-http
+           "&gnome-download-http;/gnome-bluetooth/&gnome-minor-20;/gnome-bluetooth-&gnome-bluetooth-version;.tar.xz">
+  <!ENTITY gnome-bluetooth-download-ftp
+           "&gnome-download-ftp;/gnome-bluetooth/&gnome-minor-20;/gnome-bluetooth-&gnome-bluetooth-version;.tar.xz">
+  <!ENTITY gnome-bluetooth-md5sum        "73210d66676d2d9f34b6f41ea1ceec47">
+  <!ENTITY gnome-bluetooth-size          "776 KB">
+  <!ENTITY gnome-bluetooth-buildsize     "17 MB">
+  <!ENTITY gnome-bluetooth-time          "0.2 SBU">
+]>
+
+<sect1 id="gnome-bluetooth" xreflabel="gnome-bluetooth-&gnome-bluetooth-version;" revision="systemd">
+  <?dbhtml filename="gnome-bluetooth.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gnome-bluetooth-&gnome-bluetooth-version;</title>
+
+  <indexterm zone="gnome-bluetooth">
+    <primary sortas="a-gnome-bluetooth">gnome-bluetooth</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GNOME Bluetooth</title>
+
+    <para>
+      The <application>GNOME Bluetooth</application> package contains tools
+      for managing and manipulating Bluetooth devices using the
+      <application>GNOME</application> Desktop.
+    </para>
+
+    &lfs79_checked;&gcc6_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gnome-bluetooth-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gnome-bluetooth-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gnome-bluetooth-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gnome-bluetooth-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gnome-bluetooth-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gnome-bluetooth-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GNOME Bluetooth Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gtk3"/>,
+      <xref linkend="itstool"/>, and
+      <xref linkend="libcanberra"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="gobject-introspection"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>
+    </para>
+
+    <bridgehead renderas="sect4">Runtime Dependencies</bridgehead>
+    <para role="optional">
+      <xref linkend="bluez"/> and
+      <xref linkend="systemd"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/gnome-bluetooth"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GNOME Bluetooth</title>
+
+    <para>
+      Install <application>GNOME Bluetooth</application> by running the
+      following  commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          bluetooth-sendto
+        </seg>
+        <seg>
+          libgnome-bluetooth.so
+        </seg>
+        <seg>
+          /usr/include/gnome-bluetooth,
+          /usr/share/gnome-bluetooth,
+          /usr/share/gtk-doc/html/gnome-bluetooth and
+          /usr/share/help/*/gnome-bluetooth
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="bluetooth-sendto">
+        <term><command>bluetooth-sendto</command></term>
+        <listitem>
+          <para>
+            is a <application>GTK+</application> application for transferring
+            files over Bluetooth.
+          </para>
+          <indexterm zone="gnome-bluetooth bluetooth-sendto">
+            <primary sortas="b-bluetooth-sendto">bluetooth-sendto</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgnome-bluetooth">
+        <term><filename class="libraryfile">libgnome-bluetooth.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>GNOME Bluetooth</application> API
+            functions.
+          </para>
+          <indexterm zone="gnome-bluetooth libgnome-bluetooth">
+            <primary sortas="c-libgnome-bluetooth">libgnome-bluetooth.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -0,0 +1,224 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnome-settings-daemon-download-http
+           "&gnome-download-http;/gnome-settings-daemon/&gnome-minor-20;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
+  <!ENTITY gnome-settings-daemon-download-ftp
+           "&gnome-download-ftp;/gnome-settings-daemon/&gnome-minor-20;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
+  <!ENTITY gnome-settings-daemon-md5sum        "9ce5cd7bf4f3060de563c5e3d0247294">
+  <!ENTITY gnome-settings-daemon-size          "1.6 MB">
+  <!ENTITY gnome-settings-daemon-buildsize     "83 MB">
+  <!ENTITY gnome-settings-daemon-time          "1.3 SBU">
+]>
+
+<sect1 id="gnome-settings-daemon" xreflabel="gnome-settings-daemon-&gnome-settings-daemon-version;" revision="systemd">
+  <?dbhtml filename="gnome-settings-daemon.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gnome-settings-daemon-&gnome-settings-daemon-version;</title>
+
+  <indexterm zone="gnome-settings-daemon">
+    <primary sortas="a-gnome-settings-daemon">gnome-settings-daemon</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GNOME Settings Daemon</title>
+
+    <para>
+      The <application>GNOME Settings Daemon</application> is responsible
+      for setting various parameters of a <application>GNOME Session</application>
+      and the applications that run under it.
+    </para>
+
+    &lfs79_checked;&gcc6_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gnome-settings-daemon-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gnome-settings-daemon-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gnome-settings-daemon-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gnome-settings-daemon-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gnome-settings-daemon-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gnome-settings-daemon-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GNOME Settings Daemon Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="colord"/>,
+      <xref linkend="geoclue2"/>,
+      <xref linkend="gnome-desktop"/>,
+      <xref linkend="lcms2"/>,
+      <xref linkend="libcanberra"/>,
+      <xref linkend="libgweather"/>,
+      <xref linkend="libnotify"/>,
+      <xref linkend="librsvg"/>,
+      <xref linkend="libwacom"/>,
+      <xref linkend="pulseaudio"/>,
+      <xref linkend="upower"/>, and
+      <xref linkend="xorg-wacom-driver"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="alsa"/>,
+      <xref linkend="cups"/>,
+      <xref linkend="NetworkManager"/>,
+      <xref linkend="nss"/>, and
+      <xref linkend="wayland"/>
+    </para>
+
+    <note>
+      <para>
+        Recommended dependencies are not strictly required for
+        this package to build and function, but you may not get
+        expected results at runtime if you don't install them.
+      </para>
+    </note>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/gnome-settings-daemon"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GNOME Settings Daemon</title>
+
+    <para>
+      Install <application>GNOME Settings Daemon</application> by running the
+      following commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr     \
+            --sysconfdir=/etc \
+            --disable-static  &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not have a working testsuite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make udevrulesdir=/lib/udev/rules.d install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+    <para>
+      <parameter>udevrulesdir=/lib/udev/rules.d</parameter>: This switch
+      ensures that the <application>udev</application> rule is installed in
+      the correct location.
+    </para>
+
+    <para>
+      <option>--disable-cups</option>: Use this switch if you have not
+      installed recommended dependency <application>Cups</application>.
+    </para>
+
+    <para>
+      <option>--disable-network-manager</option>: Use this switch if
+      you have not installed recommended dependency
+      <application>NetworkManager</application>.
+    </para>
+
+    <para>
+      <option>--disable-smartcard-support</option>: Use this switch if
+      you have not installed recommended dependency
+      <application>NSS</application> and wish to disable SmartCard
+      support.
+    </para>
+
+    <para>
+      <option>--disable-wayland</option>: Use this switch if you have not
+      installed recommended dependency <application>Wayland</application>.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          gnome-settings-daemon
+        </seg>
+       <seg>
+          None
+        </seg>
+        <seg>
+          /usr/include/gnome-settings-daemon-3.0,
+          /usr/lib/gnome-settings-daemon-3.0, and
+          /usr/share/gnome-settings-daemon
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gnome-settings-daemon-prog">
+        <term><command>gnome-settings-daemon</command></term>
+        <listitem>
+          <para>
+            is responsible for setting the various preference parameters of
+            a <application>GNOME</application> session and the applications
+            that run under it.
+          </para>
+          <indexterm zone="gnome-settings-daemon gnome-settings-daemon-prog">
+            <primary sortas="b-gnome-settings-daemon">gnome-settings-daemon</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ gnome/platform/gvfs.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -82,5 +82,5 @@
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
+    <para role="recommended" revision="sysv">
       <xref linkend="gtk3"/>,
       <xref linkend="libgudev"/>,
@@ -89,7 +89,15 @@
       <xref linkend="udisks2"/>
     </para>
+    <para role="recommended" revision="systemd">
+      <xref linkend="gtk3"/>,
+      <xref linkend="libgudev"/>,
+      <xref linkend="libsecret"/>,
+      <xref linkend="libsoup"/>,
+      <xref linkend="systemd"/>, and
+      <xref linkend="udisks2"/>
+    </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
+    <para role="optional" revision="sysv">
       <xref linkend="apache"/>,
       <xref linkend="avahi"/>,
@@ -113,4 +121,26 @@
       <ulink url="http://twistedmatrix.com/trac/">Twisted</ulink>,
     </para>
+    <para role="optional" revision="systemd">
+      <xref linkend="apache"/>,
+      <xref linkend="avahi"/>,
+      <xref linkend="bluez"/>,
+      <xref linkend="dbus-glib"/>,
+      <xref linkend="fuse"/>,
+      <xref linkend="gcr"/>,
+      <xref linkend="gnome-online-accounts"/>,
+      <xref linkend="gtk-doc"/>,
+      <xref linkend="libarchive"/>,
+      <xref linkend="libcdio"/>,
+      <xref linkend="libgcrypt"/>,
+      <xref linkend="libxml2"/>,
+      <xref linkend="libxslt"/>,
+      <xref linkend="openssh"/>,
+      <xref linkend="samba"/>,
+      <ulink url="http://www.videolan.org/developers/libbluray.html">libbluray</ulink>,
+      <ulink url="http://www.gphoto.org/">libgphoto2</ulink>,
+      <ulink url="http://www.libimobledevice.org/">libimobiledevice</ulink>,
+      <ulink url="http://sourceforge.net/projects/libmtp/">libmtp</ulink>, and
+      <ulink url="http://twistedmatrix.com/trac/">Twisted</ulink>
+    </para>
 
     <bridgehead renderas="sect4">Optional (Runtime)</bridgehead>
Index: gnome/platform/nautilus.xml
===================================================================
--- gnome/platform/nautilus.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ gnome/platform/nautilus.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -84,6 +84,6 @@
     <para role="recommended">
       <xref linkend="exempi"/>,
-      <xref linkend="libexif"/> and
       <xref linkend="gobject-introspection"/>
+      <xref linkend="libexif"/>
     </para>
 
@@ -141,10 +141,10 @@
 
     <para>
-      <parameter>--disable-selinux</parameter>: This switch disables use
+      <parameter>--disable-selinux</parameter>: This switch disables the use
       of selinux which isn't supported by BLFS.
     </para>
 
     <para>
-      <parameter>--disable-packagekit</parameter>: This switch disables use
+      <parameter>--disable-packagekit</parameter>: This switch disables the use
       of PackageKit which isn't suitable for BLFS.
     </para>
@@ -152,5 +152,5 @@
     <para>
       <parameter>--disable-tracker</parameter>: This switch disables
-      use of <application>Tracker</application> which isn't part of
+      the use of <application>Tracker</application> which isn't part of
       BLFS.
     </para>
Index: gnome/platform/platform.xml
===================================================================
--- gnome/platform/platform.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ gnome/platform/platform.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -77,5 +77,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gvfs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nautilus.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="zenity.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-bluetooth.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-keyring.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-settings-daemon.xml"/>
 
 <!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="adwaita-icon-theme.xml"/>
Index: gnome/platform/zenity.xml
===================================================================
--- gnome/platform/zenity.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
+++ gnome/platform/zenity.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -0,0 +1,179 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY zenity-download-http "&gnome-download-http;/zenity/&gnome-minor-20;/zenity-&zenity-version;.tar.xz">
+  <!ENTITY zenity-download-ftp  "&gnome-download-ftp;/zenity/&gnome-minor-20;/zenity-&zenity-version;.tar.xz">
+  <!ENTITY zenity-md5sum        "23f84cd3807da36455525357385f7586">
+  <!ENTITY zenity-size          "3.7 MB">
+  <!ENTITY zenity-buildsize     "25 MB">
+  <!ENTITY zenity-time          "0.2 SBU">
+]>
+
+<sect1 id="zenity" xreflabel="Zenity-&zenity-version;" revision="systemd">
+  <?dbhtml filename="zenity.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Zenity-&zenity-version;</title>
+
+  <indexterm zone="zenity">
+    <primary sortas="a-Zenity">Zenity</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Zenity</title>
+
+    <para>
+      <application>Zenity</application> is a rewrite of
+      <application>gdialog</application>, the <application>GNOME</application>
+      port of <application>dialog</application> which allows you to display
+      <application>GTK+</application> dialog boxes from the command line and
+      shell scripts.
+    </para>
+
+    &lfs79_checked;&gcc6_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&zenity-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&zenity-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &zenity-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &zenity-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &zenity-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &zenity-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Zenity Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gtk3"/> and
+      <xref linkend="itstool"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="libnotify"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="webkitgtk"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/zenity"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Zenity</title>
+
+    <para>
+      Install <application>Zenity</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          gdialog and zenity
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/share/help/*/zenity and
+          /usr/share/zenity
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gdialog">
+        <term><command>gdialog</command></term>
+        <listitem>
+          <para>
+            is a <application>Perl</application> wrapper script which
+            can be used with legacy scripts.
+          </para>
+          <indexterm zone="zenity gdialog">
+            <primary sortas="b-gdialog">gdialog</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="zenity-prog">
+        <term><command>zenity</command></term>
+        <listitem>
+          <para>
+            is a program that will display <application>GTK+</application>
+            dialogs, and return the user's input.
+          </para>
+          <indexterm zone="zenity zenity-prog">
+            <primary sortas="b-zenity">zenity</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ introduction/welcome/changelog.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -44,4 +44,20 @@
 
 -->
+    <listitem>
+      <para>July 8th, 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Dependency updates for network-manager-applet</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Copied special dependencies from gvfs over.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Copied zenity, gnome-bluetooth, and
+          gnome-settings-daemon to trunk.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>July 7th, 2016</para>
Index: networking/netprogs/samba.xml
===================================================================
--- networking/netprogs/samba.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ networking/netprogs/samba.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -203,5 +203,5 @@
 
     <para><option>--with-selftest-prefix=SELFTEST_PREFIX</option>: This option
-    specify the test suite work directory (default=./st).</para>
+    specifies the test suite work directory (default=./st).</para>
 
     <para><command>mv -v /usr/lib/libnss_win{s,bind}.so* /lib</command>:
@@ -211,5 +211,5 @@
     <para><command>ln -v -sf ../../lib/libnss_winbind.so.2 /usr/lib/libnss_winbind.so</command>
     and <command>ln -v -sf ../../lib/libnss_wins.so.2    /usr/lib/libnss_wins.so</command>:
-    These symlinks are required when applicationss build against these
+    These symlinks are required when applications build against these
     libraries.</para>
 
Index: postlfs/filesystems/parted.xml
===================================================================
--- postlfs/filesystems/parted.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ postlfs/filesystems/parted.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/icons/gnome-themes-standard.xml
===================================================================
--- x/icons/gnome-themes-standard.xml	(revision a4a81fd9b22817bd7d9d333a87e85f4655d6b163)
+++ x/icons/gnome-themes-standard.xml	(revision 614fce8e41cd4dda4c1c69f57becb5e767f4a2b6)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -114,10 +114,10 @@
 
     <para>
-      <option>--disable-gtk2-engine</option>: This switch disables GTK+-2
+      <option>--disable-gtk2-engine</option>: This switch disables the GTK+-2
       theming engine.
     </para>
 
     <para>
-      <option>--disable-gtk3-engine</option>: This switch disables GTK+-3
+      <option>--disable-gtk3-engine</option>: This switch disables the GTK+-3
       theming engine.
     </para>