Index: postlfs/config/logon.xml
===================================================================
--- postlfs/config/logon.xml	(revision ba0deaade651ec8db704092a54971bbcbd1811f9)
+++ postlfs/config/logon.xml	(revision 615b431eb60999330cb1e4027839b0ad8dd8ce3d)
@@ -27,20 +27,20 @@
 
   <para>The <filename>/etc/issue</filename> file is a plain text file
-  which will also accept certain Escape sequences (see below) in order to
+  which will also accept certain escape sequences (see below) in order to
   insert information about the system.  There is also the file
   <filename>issue.net</filename> which can be used when logging on remotely.
   <command>ssh</command> however, will only use it if you set the option in the
-  configuration file and will also <emphasis>not</emphasis> interpret the
+  configuration file and will <emphasis>not</emphasis> interpret the
   escape sequences shown below.</para>
 
-  <para>One of the most common things which people want to do is to clear
+  <para>One of the most common things which people want to do is clear
   the screen at each logon.  The easiest way of doing that is to put a "clear"
-  escape-sequence into <filename>/etc/issue</filename>.  A simple way of
-  doing this is to do <command>clear &gt; /etc/issue</command>.
+  escape sequence into <filename>/etc/issue</filename>.  A simple way of
+  doing this is to issue the command <command>clear &gt; /etc/issue</command>.
   This will insert the relevant escape code into the start of the
   <filename>/etc/issue</filename> file.  Note that if you do this, when you
   edit the file, you should leave the ^[c character on the first line alone.</para>
 
-  <para>The following escapes are recognized by <command>agetty</command>
+  <para>The following escape sequences are recognized by <command>agetty</command>
   (the program which usually parses <filename>/etc/issue</filename>).  This
   information is from <command>man agetty</command> where you can find
@@ -57,8 +57,8 @@
 s   Insert the system name, the name of the operating system.
 l   Insert the name of the current tty line.
-m   Insert the architecture identifier of the machine, e.g., i486
+m   Insert the architecture identifier of the machine, e.g., i686.
 n   Insert the nodename of the machine, also known as the hostname.
 o   Insert the domainname of the machine.
-r   Insert the release number of the kernel, e.g., 2.4.16.
+r   Insert the release number of the kernel, e.g., 2.6.11.12.
 t   Insert the current time.
 u   Insert the number of current users logged in.
@@ -68,3 +68,2 @@
 
 </sect1>
-
Index: postlfs/config/vimrc.xml
===================================================================
--- postlfs/config/vimrc.xml	(revision ba0deaade651ec8db704092a54971bbcbd1811f9)
+++ postlfs/config/vimrc.xml	(revision 615b431eb60999330cb1e4027839b0ad8dd8ce3d)
@@ -25,5 +25,5 @@
 
   <para>The LFS book installs <application>Vim</application>
-  as its text editor.  At this point we should state that there are a
+  as its text editor.  At this point it should be noted that there are a
   <emphasis>lot</emphasis> of different editing applications out there including
   <application>Emacs</application>, <application>nano</application>,
@@ -33,10 +33,11 @@
   <application>Emacs</application> users!</para>
 
-  <para>The LFS book gives a basic <filename>vimrc</filename> file.  Here, we
-  attempt to enhance this file.  At startup, <command>vim</command> reads
-  <filename>/etc/vimrc</filename> and <filename>~/.vimrc</filename> (i.e., the
-  global <filename>vimrc</filename> and the user-specific one.).  Note that this is
-  only true if you compiled <application>vim</application> using LFS-3.1 onwards.
-  Prior to this, the global <filename>vimrc</filename> was
+  <para>The LFS book creates a basic <filename>vimrc</filename> file. In this
+  section you'll find an attempt to enhance this file. At startup,
+  <command>vim</command> reads <filename>/etc/vimrc</filename> and
+  <filename>~/.vimrc</filename> (i.e., the global <filename>vimrc</filename>
+  and the user-specific one).  Note that this is only true if you compiled
+  <application>vim</application> using LFS-3.1 onwards. Prior to this, the
+  global <filename>vimrc</filename> was
   <filename>/usr/share/vim/vimrc</filename>.</para>
 
@@ -46,6 +47,7 @@
   will be made available to users you add to the system later. You can also copy
   the file from <filename>/etc/skel/.vimrc</filename> to the home directory of
-  users already on the system, like root. Be sure to set permissions, owner, and
-  group if you do copy anything directly from
+  users already on the system, such as
+  <systemitem class='username'>root</systemitem>. Be sure to set permissions,
+  owner, and group if you do copy anything directly from
   <filename class="directory">/etc/skel</filename>.</para>
 
@@ -63,5 +65,5 @@
   <filename>vimrc</filename> is slightly unusual.</para>
 
-  <para>We'll run through a quick explanation of what each of the
+  <para>Below you'll find a quick explanation of what each of the
   options in this example file means here:</para>
 
@@ -117,3 +119,2 @@
 
 </sect1>
-