Index: multimedia/audioutils/cdparanoia/cdparanoia-config.xml
===================================================================
--- multimedia/audioutils/cdparanoia/cdparanoia-config.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/audioutils/cdparanoia/cdparanoia-config.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -1,9 +1,9 @@
 <sect2>
-<title>Configuring CDParanoia</title>
+<title>Configuring <application>CDParanoia</application></title>
 
 <sect3><title>Configuration Information</title>
 
-<para>CDParanoia itself needs little configuration; information can be
-found from the man page.</para>
+<para><application>CDParanoia</application> itself needs little configuration; 
+information can be found from the man page.</para>
 
 &library-config;
Index: multimedia/audioutils/cdparanoia/cdparanoia-desc.xml
===================================================================
--- multimedia/audioutils/cdparanoia/cdparanoia-desc.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/audioutils/cdparanoia/cdparanoia-desc.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -2,5 +2,6 @@
 <title>Contents</title>
 
-<para>The CDParanoia package contains <userinput>cdparanoia</userinput>
+<para>The <application>CDParanoia</application> package contains
+<command>cdparanoia</command>
 and the <filename>libcdda</filename> libraries.</para>
 
Index: multimedia/audioutils/cdparanoia/cdparanoia-inst.xml
===================================================================
--- multimedia/audioutils/cdparanoia/cdparanoia-inst.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/audioutils/cdparanoia/cdparanoia-inst.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -1,10 +1,11 @@
 <sect2>
-<title>Installation of CDParanoia</title>
+<title>Installation of <application>CDParanoia</application></title>
 
-<para>Install CDParanoia by running the following commands:</para>
+<para>Install <application>CDParanoia</application> by running the following 
+commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: multimedia/audioutils/cdparanoia/cdparanoia-intro.xml
===================================================================
--- multimedia/audioutils/cdparanoia/cdparanoia-intro.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/audioutils/cdparanoia/cdparanoia-intro.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -1,14 +1,24 @@
 <sect2>
-<title>Introduction to CDParanoia</title>
+<title>Introduction to <application>CDParanoia</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&CDParanoia-download-http;"/>
-Download location (FTP):        <ulink url="&CDParanoia-download-ftp;"/>
-Version used:                   &CDParanoia-version;
-Package size:                   &CDParanoia-size;
-Estimated Disk space required:  &CDParanoia-buildsize;</screen>
+<para>The <application>CDParanoia</application> package contains
+<command>cdparanoia</command>. This is useful for extracting wave files from 
+audio <acronym>CD</acronym>'s.  A <acronym>CDDA</acronym> capable
+<acronym>CDROM</acronym> drive is needed.  Practically all drives supported by 
+Linux can be used.</para>
 
-<para>The CDParanoia package contains cdparanoia. This is useful for
-extracting wave files from audio cd's.  A CDDA capable CDROM drive is
-needed.  Practically all drives supported by Linux can be used.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&CDParanoia-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&CDParanoia-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &CDParanoia-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&CDParanoia-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&CDParanoia-time;</para></listitem></itemizedlist>
+</sect3>
+
 
 </sect2>
Index: multimedia/audioutils/lame/lame-desc.xml
===================================================================
--- multimedia/audioutils/lame/lame-desc.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/audioutils/lame/lame-desc.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -2,6 +2,6 @@
 <title>Contents</title>
 
-<para>The lame package contains <userinput>lame</userinput> and
-<filename>libmp3lame</filename> libraries.</para>
+<para>The <application>lame</application> package contains <command>lame
+</command> and <filename>libmp3lame</filename> libraries.</para>
 
 </sect2>
@@ -10,9 +10,10 @@
 
 <sect3><title>lame</title>
-<para>lame creates mp3 audio files.</para></sect3>
+<para><command>lame</command> creates mp3 audio files.</para></sect3>
 
 <sect3><title>libmp3lame libraries</title>
-<para>libmp3lame libraries provide the functions necessary to convert
-WAV files to MP3 files.</para></sect3>
+<para><filename>libmp3lame</filename> libraries provide the functions necessary 
+to convert <acronym>WAV</acronym> files to <acronym>MP3</acronym> files.</para>
+</sect3>
 
 </sect2>
Index: multimedia/audioutils/lame/lame-exp.xml
===================================================================
--- multimedia/audioutils/lame/lame-exp.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/audioutils/lame/lame-exp.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -2,5 +2,5 @@
 <title>Command explanations</title>
 
-<para><userinput>--with-gtk-prefix=/usr</userinput> : This switch
+<para><command>--with-gtk-prefix=/usr</command> : This switch
 directs configure to <filename>gtk-config</filename>.</para>
 
Index: multimedia/audioutils/lame/lame-inst.xml
===================================================================
--- multimedia/audioutils/lame/lame-inst.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/audioutils/lame/lame-inst.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -1,10 +1,11 @@
 <sect2>
-<title>Installation of lame</title>
+<title>Installation of <application>lame</application></title>
 
-<para>Install lame by running the following commands:</para>
+<para>Install <application>lame</application> by running the following commands:
+</para>
 
-<para><screen><userinput>./configure --prefix=/usr --mandir=/usr/share/man --with-gtk-prefix=/usr &amp;&amp;
+<screen><userinput><command>./configure --prefix=/usr --mandir=/usr/share/man --with-gtk-prefix=/usr &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: multimedia/audioutils/lame/lame-intro.xml
===================================================================
--- multimedia/audioutils/lame/lame-intro.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/audioutils/lame/lame-intro.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -1,14 +1,20 @@
 <sect2>
-<title>Introduction to lame</title>
+<title>Introduction to <application>lame</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&lame-download-http;"/>
-Download location (FTP):        <ulink url="&lame-download-ftp;"/>
-Version used:                   &lame-version;
-Package size:                   &lame-size;
-Estimated Disk space required:  &lame-buildsize;
-Estimated build time:           &lame-time;</screen>
+<para>The <application>lame</application> package contains a MP3 encoder. This 
+is useful for creating compressed audio files.</para>
 
-<para>The lame package contains a MP3 encoder. This is useful for
-creating compressed audio files.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&lame-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&lame-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &lame-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&lame-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&lame-time;</para></listitem></itemizedlist>
+</sect3>
 
 
Index: multimedia/cdwriteutils/cdrdao/cdrdao-desc.xml
===================================================================
--- multimedia/cdwriteutils/cdrdao/cdrdao-desc.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/cdwriteutils/cdrdao/cdrdao-desc.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -2,5 +2,6 @@
 <title>Contents</title>
 
-<para>The cdrdao package contains <userinput>cdrdao</userinput>.</para>
+<para>The <application>cdrdao</application> package contains <command>cdrdao
+</command>.</para>
 
 </sect2>
@@ -9,6 +10,7 @@
 
 <sect3><title>cdrdao</title>
-<para>cdrdao records audio or data CD-Rs in disk-at-once (DAO) mode
-based on a textual description of the CD contents.</para></sect3>
+<para><command>cdrdao</command> records audio or data CD-Rs in disk-at-once 
+(<acronym>DAO</acronym>) mode based on a textual description of the CD contents.
+</para></sect3>
 
 </sect2>
Index: multimedia/cdwriteutils/cdrdao/cdrdao-inst.xml
===================================================================
--- multimedia/cdwriteutils/cdrdao/cdrdao-inst.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/cdwriteutils/cdrdao/cdrdao-inst.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -1,10 +1,11 @@
 <sect2>
-<title>Installation of cdrdao</title>
+<title>Installation of <application>cdrdao</application></title>
 
-<para>Install cdrdao by running the following commands:</para>
+<para>Install <application>cdrdao</application> by running the following 
+commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
-make install </userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: multimedia/cdwriteutils/cdrdao/cdrdao-intro.xml
===================================================================
--- multimedia/cdwriteutils/cdrdao/cdrdao-intro.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/cdwriteutils/cdrdao/cdrdao-intro.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -1,14 +1,26 @@
 <sect2>
-<title>Introduction to cdrdao</title>
+<title>Introduction to <application>cdrdao</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&cdrdao-download-http;"/>
-Download location (FTP):        <ulink url="&cdrdao-download-ftp;"/>
-Version used:                   &cdrdao-version;
-Package size:                   &cdrdao-size;
-Estimated Disk space required:  &cdrdao-buildsize;</screen>
+<para>The <application>cdrdao</application> package contains cd recording 
+utilities. These are useful for burning a <acronym>CD</acronym> in disk-at-once 
+mode.</para>
 
-<para>The cdrdao package contains cd recording utilities. These are useful for burning a CD in disk-at-once mode.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&cdrdao-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&cdrdao-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &cdrdao-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&cdrdao-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&cdrdao-time;</para></listitem></itemizedlist>
+</sect3>
 
-<screen>cdrdao will utilize:
-<xref linkend="lame"/></screen>
+<sect3><title><application>template</application> dependencies</title>
+<sect4><title>Optional</title>
+<para><xref linkend="lame"/></para></sect4>
+</sect3>
+
 </sect2>
Index: multimedia/cdwriteutils/cdrdao/cdrdao.ent
===================================================================
--- multimedia/cdwriteutils/cdrdao/cdrdao.ent	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ multimedia/cdwriteutils/cdrdao/cdrdao.ent	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -9,2 +9,3 @@
 <!ENTITY cdrdao-download-ftp "">
 <!ENTITY cdrdao-size "1.1 MB">
+<!ENTITY cdrdao-time "">
Index: pst/scanning/sane/sane-intro.xml
===================================================================
--- pst/scanning/sane/sane-intro.xml	(revision ec3c746578a8927669b0e8bf022d1aafd4b35f47)
+++ pst/scanning/sane/sane-intro.xml	(revision 616ce29a1ac1f4da14f6fefeb77a5b277393cef9)
@@ -2,6 +2,6 @@
 <title>Introduction to <application>sane</application></title>
 
-<para><acronym>SANE</acronym> is short an acronym Scanner Access Now Easy. 
-Scanner access, however, is far from easy, since every vendor has own 
+<para><acronym>SANE</acronym> is short for Scanner Access Now Easy. 
+Scanner access, however, is far from easy, since every vendor has their own 
 protocols. The only known protocol that should bring some unity into this 
 chaos is the <acronym>TWAIN</acronym> interface, but this is too imprecise to 