Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 10ca4faceb87926882993413a01b4fb17cbdfd03)
+++ introduction/welcome/changelog.xml	(revision 618aef19c2ebfe2738aeba243e0df4384d031cb8)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[randy] - Added new package GnuPG-2.0.8.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Fixed autofs bootscript.</para>
         </listitem>
@@ -64,5 +67,5 @@
       <itemizedlist>
         <listitem>
-          <para>[ag] - Updated to zsh-4.3.5. Added libcap as optional
+          <para>[ag] - Updated to zsh-4.3.5. Added libcap as an optional
           dependency and enabled the --bindir=/bin switch.</para>
         </listitem>
@@ -116,5 +119,5 @@
         </listitem>
         <listitem>
-          <para>[ag] - Added a switch to the Openssh instructions to set the
+          <para>[ag] - Added a switch to the OpenSSH instructions to set the
           default path for xauth.</para>
         </listitem>
Index: postlfs/security/gnupg.xml
===================================================================
--- postlfs/security/gnupg.xml	(revision 10ca4faceb87926882993413a01b4fb17cbdfd03)
+++ postlfs/security/gnupg.xml	(revision 618aef19c2ebfe2738aeba243e0df4384d031cb8)
@@ -33,5 +33,7 @@
     public/private key encryptor. This is becoming useful for signing
     files or emails as proof of identity and preventing tampering with
-    the contents of the file or email.</para>
+    the contents of the file or email. For a more enhanced version of
+    GnuPG which supports S/MIME, see the <xref linkend="gnupg2"/>
+    package.</para>
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision 618aef19c2ebfe2738aeba243e0df4384d031cb8)
+++ postlfs/security/gnupg2.xml	(revision 618aef19c2ebfe2738aeba243e0df4384d031cb8)
@@ -0,0 +1,351 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnupg2-download-http "http://public.ftp.planetmirror.com/pub/gnupg/gnupg-&gnupg2-version;.tar.bz2">
+  <!ENTITY gnupg2-download-ftp  "ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-&gnupg2-version;.tar.bz2">
+  <!ENTITY gnupg2-md5sum        "fc4377ca67e1bf687eeaf22e79c0b9d1">
+  <!ENTITY gnupg2-size          "3.6 MB">
+  <!ENTITY gnupg2-buildsize     "65 MB">
+  <!ENTITY gnupg2-time          "0.7 SBU">
+]>
+
+<sect1 id="gnupg2" xreflabel="GnuPG-&gnupg2-version;">
+  <?dbhtml filename="gnupg2.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>GnuPG-&gnupg2-version;</title>
+
+  <indexterm zone="gnupg2">
+    <primary sortas="a-GnuPG-2">GnuPG 2</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GnuPG 2</title>
+
+    <para>The <application>GnuPG 2</application> package is GNU's tool for
+    secure communication and data storage. It can be used to encrypt data and
+    to create digital signatures. It includes an advanced key management
+    facility and is compliant with the proposed OpenPGP Internet standard as
+    described in RFC2440 and the S/MIME standard as described by several RFCs.
+    GnuPG 2 is the stable version of GnuPG integrating support for OpenPGP and
+    S/MIME. It does not conflict with an installed <xref linkend="gnupg"/>
+    OpenPGP-only version.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&gnupg2-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&gnupg2-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &gnupg2-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &gnupg2-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &gnupg2-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &gnupg2-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <!-- <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Required Patch: <ulink
+        url="&patch-root;/gnupg2-&gnupg2-version;-curl_LDAP-1.patch"/>
+      </para>
+      </listitem>
+    </itemizedlist> -->
+
+    <bridgehead renderas="sect3">GnuPG Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="pth"/>,
+    <xref linkend="libassuan"/>,
+    <xref linkend="libgcrypt"/>, and
+    <xref linkend="libksba"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="openldap"/>,
+    <xref linkend="libusb"/>,
+    <xref linkend="curl"/>, and
+    an <xref linkend="server-mail"/></para>
+
+    <bridgehead renderas="sect4">Optional (Run-time Requirement For Most of
+    the Package's Functionality)</bridgehead>
+    <para role="optional"><xref linkend="pinentry"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/gnupg2"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GnuPG 2</title>
+
+    <para>Install <application>GnuPG 2</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr --libexecdir=/usr/lib/gnupg2 &amp;&amp;
+make</userinput></screen>
+
+    <para>If you have <xref linkend="tetex"/> installed and you wish to create
+    documentation in alternate formats, issue the following commands:</para>
+
+<screen><userinput>make -C doc pdf ps html &amp;&amp;
+makeinfo --html --no-split -o doc/gnupg_nochunks.html doc/gnupg.texi &amp;&amp;
+makeinfo --plaintext       -o doc/gnupg.txt           doc/gnupg.texi</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+    <!-- Removing this from the commands as it doesn't appear
+         necessary any longer. See the gnupg.texi file (or some
+         TeX derivative) for additional information.
+         
+         chmod -v 4755 /usr/bin/gpg &amp;&amp;
+    -->
+
+<screen role="root"><userinput>make install &amp;&amp;
+
+install -v -m755 -d         /usr/share/doc/gnupg-&gnupg2-version; &amp;&amp;
+ln -sv ../../gnupg/FAQ      /usr/share/doc/gnupg-&gnupg2-version; &amp;&amp;
+ln -sv ../../gnupg/faq.html /usr/share/doc/gnupg-&gnupg2-version; &amp;&amp;
+
+install -v -m644 doc/{DETAILS,KEYSERVER,OpenPGP,TRANSLATE} \
+                            /usr/share/doc/gnupg-&gnupg2-version;</userinput></screen>
+
+    <para>If you created alternate formats of the documentation, install it
+    using the following command as the
+    <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/gnupg-&gnupg2-version;/html       &amp;&amp;
+install -v -m644 doc/gnupg.html/* \
+                    /usr/share/doc/gnupg-&gnupg2-version;/html       &amp;&amp;
+install -v -m644 doc/gnupg_nochunks.html \
+                    /usr/share/doc/gnupg-&gnupg2-version;/gnupg.html &amp;&amp;
+install -v -m644 doc/*.texi \
+                    /usr/share/doc/gnupg-&gnupg2-version;            &amp;&amp;
+install -v -m644 doc/gnupg.{pdf,dvi,ps,txt} \
+                    /usr/share/doc/gnupg-&gnupg2-version;</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><parameter>--libexecdir=/usr/lib/gnupg2</parameter>: This switch
+    creates a <filename class="directory">gnupg</filename> directory in
+    <filename class="directory">/usr/lib</filename> instead of
+    <filename class="directory">/usr/libexec</filename>.</para>
+
+    <!-- See above why this is no longer included
+    <para><command>chmod -v 4755 /usr/bin/gpg</command>:
+    <command>gpg</command> is installed setuid
+    <systemitem class='username'>root</systemitem> to avoid swapping
+    out sensitive data.</para>
+    -->
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>addgnupghome, applygnupgdefaults, gpg-agent, gpg-connect-agent,
+        gpg2, gpgconf, gpgkey2ssh, gpgparsemail, gpgsm, gpgsm-gencert.sh,
+        gpgv2, kbxutil, scdaemon, symcryptrun, and watchgnupg</seg>
+        <seg>None</seg>
+        <seg>/usr/lib/gnupg2, /usr/share/gnupg and
+        /usr/share/doc/gnupg2-&gnupg2-version;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="addgnupghome">
+        <term><command>addgnupghome</command></term>
+        <listitem>
+          <para>is used to create and populate user's
+          <filename class='directory'>~/.gnupg</filename> directories</para>
+          <indexterm zone="gnupg2 addgnupghome">
+            <primary sortas="b-addgnupghome">addgnupghome</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="applygnupgdefaults">
+        <term><command>applygnupgdefaults</command></term>
+        <listitem>
+          <para>is a wrapper script used to run <command>gpgconf</command>
+          with the <parameter>--apply-defaults</parameter> parameter on all
+          user's GnuPG home directories.</para>
+          <indexterm zone="gnupg2 applygnupgdefaults">
+            <primary sortas="b-applygnupgdefaults">applygnupgdefaults</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpg-agent">
+        <term><command>gpg-agent</command></term>
+        <listitem>
+          <para>is a daemon used to manage secret (private) keys independently
+          from any protocol. It is used as a backend for <command>gpg</command>
+          and <command>gpgsm</command> as well as for a couple of other
+          utilities.</para>
+          <indexterm zone="gnupg2 gpg-agent">
+            <primary sortas="b-gpg-agent">gpg-agent</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpg-connect-agent">
+        <term><command>gpg-connect-agent</command></term>
+        <listitem>
+          <para>is a utility used to communicate with a running
+          <command>gpg-agent</command>.</para>
+          <indexterm zone="gnupg2 gpg-connect-agent">
+            <primary sortas="b-gpg-connect-agent">gpg-connect-agent</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpg2">
+        <term><command>gpg2</command></term>
+        <listitem>
+          <para>is the OpenPGP part of the GNU Privacy Guard (GnuPG). It is a
+          tool used to provide digital encryption and signing services using
+          the OpenPGP standard.</para>
+          <indexterm zone="gnupg2 gpg2">
+            <primary sortas="b-gpg2">gpg2</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpgconf">
+        <term><command>gpgconf</command></term>
+        <listitem>
+          <para>is a utility used to automatically and reasonable safely
+          query and modify configuration files in the
+          <filename class='directory'>~/.gnupg</filename> home directory. It is
+          designed not to be invoked manually by the user, but automatically by
+          graphical user interfaces.</para>
+          <indexterm zone="gnupg2 gpgconf">
+            <primary sortas="b-gpgconf">gpgconf</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpgparsemail">
+        <term><command>gpgparsemail</command></term>
+        <listitem>
+          <para>is a utility currently only useful for debugging. Run it with
+          <parameter>--help</parameter> for usage information.</para>
+          <indexterm zone="gnupg2 gpgparsemail">
+            <primary sortas="b-gpgparsemail">gpgparsemail</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpgsm">
+        <term><command>gpgsm</command></term>
+        <listitem>
+          <para>is a tool similar to <command>gpg</command> used to provide
+          digital encryption and signing services on X.509 certificates and the
+          CMS protocol. It is mainly used as a backend for S/MIME mail
+          processing.</para>
+          <indexterm zone="gnupg2 gpgsm">
+            <primary sortas="b-gpgsm">gpgsm</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpgsm-gencert.sh">
+        <term><command>gpgsm-gencert.sh</command></term>
+        <listitem>
+          <para>is a simple tool used to interactivly generate a certificate
+          request which will be printed to stdout.</para>
+          <indexterm zone="gnupg2 gpgsm-gencert.sh">
+            <primary sortas="b-gpgsm-gencert.sh">gpgsm-gencert.sh</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gpgv2">
+        <term><command>gpgv2</command></term>
+        <listitem>
+          <para>is a verify only version of <command>gpg2</command>.</para>
+          <indexterm zone="gnupg2 gpgv2">
+            <primary sortas="b-gpgv2">gpgv2</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="kbxutil">
+        <term><command>kbxutil</command></term>
+        <listitem>
+          <para>is used to list, export and import Keybox data.</para>
+          <indexterm zone="gnupg2 kbxutil">
+            <primary sortas="b-kbxutil">kbxutil</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="scdaemon">
+        <term><command>scdaemon</command></term>
+        <listitem>
+          <para>is a daemon used to manage smartcards. It is usually invoked by
+          <command>gpg-agent</command> and in general not used directly.</para>
+          <indexterm zone="gnupg2 scdaemon">
+            <primary sortas="b-scdaemon">scdaemon</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="symcryptrun">
+        <term><command>symcryptrun</command></term>
+        <listitem>
+          <para>is a simple symmetric encryption tool.</para>
+          <indexterm zone="gnupg2 symcryptrun">
+            <primary sortas="b-symcryptrun">symcryptrun</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="watchgnupg">
+        <term><command>watchgnupg</command></term>
+        <listitem>
+          <para>is used to listen to a Unix Domain socket created by any of
+          the GnuPG tools.</para>
+          <indexterm zone="gnupg2 watchgnupg">
+            <primary sortas="b-watchgnupg">watchgnupg</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: postlfs/security/security.xml
===================================================================
--- postlfs/security/security.xml	(revision 10ca4faceb87926882993413a01b4fb17cbdfd03)
+++ postlfs/security/security.xml	(revision 618aef19c2ebfe2738aeba243e0df4384d031cb8)
@@ -48,4 +48,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="firewalling.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnupg.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnupg2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="tripwire.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="heimdal.xml"/>