Index: general/graphlib/aalib.xml
===================================================================
--- general/graphlib/aalib.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/graphlib/aalib.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -15,12 +15,12 @@
 <sect1 id="aalib" xreflabel="AAlib-&aalib-version;">
   <?dbhtml filename="aalib.html"?>
-  
+
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
   </sect1info>
-  
+
   <title>AAlib-&aalib-version;</title>
-  
+
   <indexterm zone="aalib">
     <primary sortas="a-AAlib">AAlib</primary>
@@ -29,8 +29,8 @@
   <sect2 role="package">
     <title>Introduction to AAlib</title>
-    
+
     <para><application>AAlib</application> is a library to render any graphic into
     ASCII Art.</para>
-    
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -54,14 +54,14 @@
       </listitem>
     </itemizedlist>
-    
+
     <bridgehead renderas="sect3">AAlib Dependencies</bridgehead>
-    
+
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), 
     <xref linkend="slang"/> and 
     <xref linkend="gpm"/></para>
-    
+
   </sect2>
-  
+
   <sect2 role="installation">
     <title>Installation of AAlib</title>
@@ -73,15 +73,15 @@
 make &amp;&amp;
 make install</userinput></screen>
-    
+
   </sect2>
-  
+
   <sect2 role="content">
     <title>Contents</title>
-    
+
     <segmentedlist>
       <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Library</segtitle>
       <segtitle>Installed Directories</segtitle>
-      
+
       <seglistitem>
         <seg>aafire, aainfo, aalib-config, aasavefont, and aatest</seg>
@@ -90,10 +90,10 @@
       </seglistitem>
     </segmentedlist>
-    
+
     <variablelist>
       <bridgehead renderas="sect3">Short Descriptions</bridgehead>
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
-     
+
       <varlistentry id="aafire">
         <term><command>aafire</command></term>
@@ -106,5 +106,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="aainfo">
         <term><command>aainfo</command></term>
@@ -117,5 +117,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="aalib-config">
         <term><command>aalib-config</command></term>
@@ -127,9 +127,9 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="aatest">
         <term><command>aatest</command></term>
         <listitem>
-          <para>shows the abilities of <application>AAlib</application> 
+          <para>shows the abilities of <application>AAlib</application>
           in a little test.</para>
           <indexterm zone="aalib aatest">
@@ -138,5 +138,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="libaa">
         <term><filename class='libraryfile'>libaa.[so,a]</filename></term>
@@ -151,8 +151,8 @@
         </listitem>
       </varlistentry>
-      
+
     </variablelist>
-    
+
   </sect2>
-  
+
 </sect1>
Index: general/graphlib/freetype2.xml
===================================================================
--- general/graphlib/freetype2.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/graphlib/freetype2.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -119,5 +119,5 @@
         <term><filename class='libraryfile'>libfreetype.[so,a]</filename></term>
         <listitem>
-          <para>contains functions to add <application>TrueType</application> 
+          <para>contains functions to add <application>TrueType</application>
           font capabilities to the X Window system.</para>
           <indexterm zone="freetype2 libfreetype">
Index: general/graphlib/libmng.xml
===================================================================
--- general/graphlib/libmng.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/graphlib/libmng.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -86,5 +86,5 @@
 
     <para><command>cp makefiles/makefile.linux Makefile</command>: There are no 
-    autotools shipped with this package. The Linux <filename>makefile</filename> 
+    autotools shipped with this package. The Linux <filename>makefile</filename>
     is copied to the root of the source tree, facilitating the installation.</para>
 
Index: general/graphlib/librsvg.xml
===================================================================
--- general/graphlib/librsvg.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/graphlib/librsvg.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -95,5 +95,5 @@
 
     <para><parameter>--disable-gtk-doc</parameter>: This option prevents 
-    the rebuilding of documentation during the <command>make</command> 
+    the rebuilding of documentation during the <command>make</command>
     command.</para>
 
@@ -135,5 +135,5 @@
         <term><command>rsvg-view</command></term>
         <listitem>
-          <para>is used to view an SVG file in an <application>X</application> 
+          <para>is used to view an SVG file in an <application>X</application>
           window.</para>
           <indexterm zone="librsvg rsvg-view">
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/prog/doxygen.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -95,5 +95,5 @@
     <para>If you wish to generate and install the package documentation (which 
     includes the man pages), ensure the <application>Python</application>, 
-    <application>TeX</application> and <application>GraphViz</application> 
+    <application>TeX</application> and <application>GraphViz</application>
     packages are installed, then substitute the following commands for the 
     <command>make install</command> command above:</para>
@@ -126,5 +126,5 @@
 
     <para><command>make pdf</command>: This command builds a 
-    PDF version of the <application>Doxygen</application> 
+    PDF version of the <application>Doxygen</application>
     Manual.</para>
 
Index: general/prog/gcc.xml
===================================================================
--- general/prog/gcc.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/prog/gcc.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -93,5 +93,5 @@
       <para>If you plan to compile Ada, you will need to install 
       <application>GNAT</application> temporarily to satisfy the circular 
-      dependency when you recompile <application>GCC</application> 
+      dependency when you recompile <application>GCC</application>
       to include Ada.</para>
     </note>
@@ -136,5 +136,5 @@
     directory, that can later be removed from the system.</para>
 
-    <para>In response to the questions asked by the <command>doconfig</command> 
+    <para>In response to the questions asked by the <command>doconfig</command>
     script, enter <userinput>3</userinput> in response to the first question
     and <userinput>/opt/gnat</userinput> in response to the second question.</para>
@@ -149,5 +149,5 @@
     by the above script.</para>
 
-    <para>You may now remove the <application>GNAT</application> 
+    <para>You may now remove the <application>GNAT</application>
     source directory:</para>
 
@@ -174,6 +174,6 @@
       <application>GCC</application> compiler and libraries. It 
       is highly recommended that you have the <application>Tcl</application>, 
-      <application>Expect</application> and <application>DejaGnu</application> 
-      packages installed, as well as unpacking the <application>GCC</application> 
+      <application>Expect</application> and <application>DejaGnu</application>
+      packages installed, as well as unpacking the <application>GCC</application>
       testsuite tarball before beginning the build.</para>
 
@@ -196,5 +196,5 @@
       from the <application>JDK</application> as the defaults, ensure 
       <filename class='directory'>$JAVA_HOME/bin</filename> is listed before 
-      <filename class='directory'>/usr/bin</filename> in your <envar>PATH</envar> 
+      <filename class='directory'>/usr/bin</filename> in your <envar>PATH</envar>
       variable after the <application>GCC</application> installation is complete.</para>
     </note>
@@ -295,5 +295,5 @@
     <para><command>ln -sf gcc /usr/bin/cc; ln -sf g77 /usr/bin/f77</command>: 
     These links are created as some packages refer to the C and Fortran compilers 
-    using an alternate name.</para> 
+    using an alternate name.</para>
 
     <para><command>chown -R root:root /usr/lib/gcc/i686-pc-linux-gnu/...</command>: 
@@ -385,5 +385,5 @@
         <term><command>gcjh</command></term>
         <listitem>
-          <para>generates header files from <application>Java</application> 
+          <para>generates header files from <application>Java</application>
           class files.</para>
           <indexterm zone="gcc gcjh">
@@ -396,5 +396,5 @@
         <term><command>gij</command></term>
         <listitem>
-          <para>is the GNU interpreter for <application>Java</application> 
+          <para>is the GNU interpreter for <application>Java</application>
           bytecode.</para>
           <indexterm zone="gcc gij">
@@ -586,5 +586,5 @@
         <term><command>jcf-dump</command></term>
         <listitem>
-          <para>prints information about <application>Java</application> 
+          <para>prints information about <application>Java</application>
           class files.</para>
           <indexterm zone="gcc jcf-dump">
@@ -607,5 +607,5 @@
         <term><command>jv-scan</command></term>
         <listitem>
-          <para>prints information about <application>Java</application> 
+          <para>prints information about <application>Java</application>
           source files.</para>
           <indexterm zone="gcc jv-scan">
Index: general/prog/gcc2.xml
===================================================================
--- general/prog/gcc2.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/prog/gcc2.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -111,5 +111,5 @@
 <sect3><title>Configuration Information</title>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../../lib-config.xml"/>  
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../../lib-config.xml"/>
 
 <para>The instructions given above make compatibility symlinks that pre-compiled
Index: general/prog/gcc3.xml
===================================================================
--- general/prog/gcc3.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/prog/gcc3.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -32,5 +32,5 @@
     <para>The reason for installing 
     <application>GCC</application>-&gcc3-version; is that 
-    some BLFS packages (such as compiled <application>Java</application> 
+    some BLFS packages (such as compiled <application>Java</application>
     and <application>OpenOffice</application>) have not been updated to be 
     compilable by <application>GCC</application>-&gcc-version;. Additionally, 
@@ -96,5 +96,5 @@
     <command>test_summary</command> commands create log files which can be 
     compared to known good results located at <ulink 
-    url="http://linuxfromscratch.org/~randy/gcc-334-lfs-6.0-test_summary.log"/> 
+    url="http://linuxfromscratch.org/~randy/gcc-334-lfs-6.0-test_summary.log"/>
     and <ulink 
     url="http://linuxfromscratch.org/~randy/gcc-334-lfs-6.0-test_summary_short.log"/>.</para>
Index: general/prog/guile.xml
===================================================================
--- general/prog/guile.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/prog/guile.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -124,5 +124,5 @@
         <listitem>
           <para>is a script to parse declarations in your 
-          <application>C</application> code for <application>Scheme</application> 
+          <application>C</application> code for <application>Scheme</application>
           visible <application>C</application> functions, i
           <application>Scheme</application> objects to be used by 
Index: general/prog/jdk.xml
===================================================================
--- general/prog/jdk.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/prog/jdk.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -129,5 +129,5 @@
       <listitem>
         <para><ulink 
-        url="&patch-root;/jdk-&jdk-src-version;-xorg-6.8.1-1.patch"/> 
+        url="&patch-root;/jdk-&jdk-src-version;-xorg-6.8.1-1.patch"/>
         (Only required if building agianst <xref linkend="xorg"/>)</para>
       </listitem>
@@ -358,5 +358,5 @@
     <note>
       <para>The plugin must be a symlink for it to work. If not, the browsers
-      just crash when you attempt to load a <application>Java</application> 
+      just crash when you attempt to load a <application>Java</application>
       application.</para>
     </note>
@@ -421,10 +421,10 @@
           </indexterm>
         </listitem>
-      </varlistentry> 
+      </varlistentry>
 
       <varlistentry id="jar">
         <term><command>jar</command></term>
         <listitem>
-          <para>combines multiple files into a single <filename>JAR</filename> 
+          <para>combines multiple files into a single <filename>JAR</filename>
           archive file.</para>
           <indexterm zone="jdk jar">
Index: general/prog/pdl.xml
===================================================================
--- general/prog/pdl.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/prog/pdl.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -35,5 +35,5 @@
     scientific computing. <application>PDL</application> turns 
     <application>Perl</application> into an array-oriented, numerical language 
-    similar to such commerical packages as <application>IDL</application> 
+    similar to such commerical packages as <application>IDL</application>
     and <application>MatLab</application>. One can write simple 
     <application>Perl</application> expressions to manipulate entire numerical 
@@ -82,7 +82,7 @@
 
     <bridgehead renderas="sect4">PDL::NiceSlice</bridgehead>
-    
+
     <para>The <application>PDL</application>::NiceSlice module is used to 
-    enhance <application>PDL</application>'s slice syntax. <quote>Slicing</quote> 
+    enhance <application>PDL</application>'s slice syntax. <quote>Slicing</quote>
     is a term used in the process of creating a cross-section, or slice, of a 
     <application>PDL</application> object (piddle).</para>
@@ -147,5 +147,5 @@
     <para>The <application>PDL</application>::Graphics::PGPLOT module is a 
     convenience interface to the <application>PGPLOT</application> commands, 
-    implemented using the object oriented <application>PGPLOT</application> 
+    implemented using the object oriented <application>PGPLOT</application>
     plotting package in the <application>PDL</application>::Graphics::PGPLOT::Window 
     module.</para>
@@ -215,5 +215,5 @@
 
     <para>The <application>PDL</application>::Graphics::IIS 
-    module provides an interface to any image display <quote>device</quote> 
+    module provides an interface to any image display <quote>device</quote>
     which supports the <quote>IIS protocol</quote>.</para>
 
@@ -268,5 +268,5 @@
     <para> The <application>PDL</application>::IO::Pic module implements I/O 
     for a number of popular image formats by exploiting the 
-    <command>xxxtopnm</command> and <command>pnmtoxxx</command> 
+    <command>xxxtopnm</command> and <command>pnmtoxxx</command>
     converters from the <application>Netpbm</application> package and the 
     <command>cjpeg</command> and <command>djpeg</command> converters. 
@@ -307,5 +307,5 @@
     <bridgehead renderas="sect4">PDL::GSL</bridgehead>
 
-    <para> The <application>PDL</application>::<application>GSL</application> 
+    <para> The <application>PDL</application>::<application>GSL</application>
     module is an interface to the functions provided by the Gnu Scientific Library.</para>
 
@@ -318,5 +318,5 @@
     <bridgehead renderas="sect4">PDL::FFTW</bridgehead>
 
-    <para> The <application>PDL</application>::<application>FFTW</application> 
+    <para> The <application>PDL</application>::<application>FFTW</application>
     module is a means to interface <application>PDL</application> with the 
     <application>FFTW</application> library. It's similar to the standard FFT 
@@ -461,5 +461,5 @@
 
       <para>See <ulink 
-      url="http://pdl.sourceforge.net/PDLdocs/perldl.html#the startup file ~/.perldlrc"/> 
+      url="http://pdl.sourceforge.net/PDLdocs/perldl.html#the startup file ~/.perldlrc"/>
       for information about configuring <command>perldl</command> to suit your 
       needs.</para>
@@ -526,5 +526,5 @@
         <term><command>pptemplate</command></term>
         <listitem>
-          <para>is a script to generate <filename>Makefile.PL</filename> 
+          <para>is a script to generate <filename>Makefile.PL</filename>
           and PP file skeletons.</para>
           <indexterm zone="pdl pptemplate">
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/prog/php.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -204,5 +204,5 @@
       <title>Configuration Information</title>
 
-      <para>To enable PHP support in the <application>Apache</application> 
+      <para>To enable PHP support in the <application>Apache</application>
       web server, a new LoadModule (which should be handled automatically by the
       <command>make install</command> command) and AddType directives 
@@ -217,5 +217,5 @@
 
       <para>You'll need to restart the <application>Apache</application> web server 
-      after making any modifications to the <filename>httpd.conf</filename> 
+      after making any modifications to the <filename>httpd.conf</filename>
       file.</para>
 
Index: general/prog/python.xml
===================================================================
--- general/prog/python.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/prog/python.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -160,5 +160,5 @@
         <term><command>python2.4</command></term>
         <listitem>
-          <para>is a version-specific name for the <command>python</command> 
+          <para>is a version-specific name for the <command>python</command>
           program.</para>
           <indexterm zone="python python2.4">
Index: general/prog/tcl.xml
===================================================================
--- general/prog/tcl.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/prog/tcl.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -158,5 +158,5 @@
         <term><command>tclsh</command></term>
         <listitem>
-          <para> is a symlink to the <command>tclsh8.4</command> 
+          <para> is a symlink to the <command>tclsh8.4</command>
           program.</para>
           <indexterm zone="tcl tclsh">
Index: general/sysutils/apache-ant.xml
===================================================================
--- general/sysutils/apache-ant.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/sysutils/apache-ant.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -83,5 +83,5 @@
       requirements of various packages installed using 
       <application>Apache Ant</application>. Review the table at 
-      <ulink url="http://ant.apache.org/manual/install.html#librarydependencies"/> 
+      <ulink url="http://ant.apache.org/manual/install.html#librarydependencies"/>
       for any prerequisite libraries you may need. One such library is the 
       <application>JUnit</application> testing framework library. Many Ant-installed 
@@ -193,5 +193,5 @@
         <listitem>
           <para>is a <application>Java</application> based build tool used by 
-          many packages instead of the conventional <command>make</command> 
+          many packages instead of the conventional <command>make</command>
           program.</para>
           <indexterm zone="apache-ant ant">
@@ -204,5 +204,5 @@
         <term><command>antRun</command></term>
         <listitem>
-          <para>is a support script used to start <command>ant</command> 
+          <para>is a support script used to start <command>ant</command>
           build scripts in a given directory.</para>
           <indexterm zone="apache-ant antRun">
@@ -227,5 +227,5 @@
         <listitem>
           <para>is a <application>Perl</application> script that allows 
-          <application>Bash</application> to complete an <command>ant</command> 
+          <application>Bash</application> to complete an <command>ant</command>
           command-line.</para>
           <indexterm zone="apache-ant complete-ant-cmd.pl">
@@ -260,5 +260,5 @@
         <term><filename class='libraryfile'>ant-*.jar</filename></term>
         <listitem>
-          <para>files are the <application>Apache Ant</application> 
+          <para>files are the <application>Apache Ant</application>
           <application>Java</application> class libraries.</para>
           <indexterm zone="apache-ant ant-star">
Index: general/sysutils/fcron.xml
===================================================================
--- general/sysutils/fcron.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/sysutils/fcron.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -122,5 +122,5 @@
     to email you the results of the <command>fcron</command> script. Omit the 
     switch and use 
-    <option>--with-sendmail=<replaceable>[/path/to/MTA]</replaceable></option> 
+    <option>--with-sendmail=<replaceable>[/path/to/MTA]</replaceable></option>
     if you wish to utilize this feature.</para>
 
@@ -128,5 +128,5 @@
     installed, the <command>make install</command> script enters into a
     configuration routine.  The first test will be whether to install a boot 
-    script in the <filename class="directory">/etc/rc.d/init.d</filename> 
+    script in the <filename class="directory">/etc/rc.d/init.d</filename>
     directory with the appropriate symbolic links in run levels 2, 3, 4, and 5. 
     The second is to stop any current <command>fcron</command> processes 
@@ -171,5 +171,5 @@
       page for proper parameters to address your situation.</para>
 
-      <para id="fcron-pam">If <application>Linux-PAM</application> 
+      <para id="fcron-pam">If <application>Linux-PAM</application>
       is installed, two PAM configuration files are installed in 
       <filename class='directory'>/etc/pam.d</filename>. Alternatively if 
@@ -192,6 +192,6 @@
       <title>Boot Script</title>
 
-      <para>Install the <filename>/etc/rc.d/init.d/fcron</filename> 
-      init script from the <xref linkend="intro-important-bootscripts"/> 
+      <para>Install the <filename>/etc/rc.d/init.d/fcron</filename>
+      init script from the <xref linkend="intro-important-bootscripts"/>
       package.</para>
 
Index: general/sysutils/mc.xml
===================================================================
--- general/sysutils/mc.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/sysutils/mc.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -105,6 +105,6 @@
       <para>The <filename class="directory">~/.mc</filename> directory and
       its contents are created when you start <command>mc</command> for the
-      first time. Then you can edit the main <filename>~/.mc/ini</filename> 
-      configuration file manually or through the <application>MC</application> 
+      first time. Then you can edit the main <filename>~/.mc/ini</filename>
+      configuration file manually or through the <application>MC</application>
       shell. Consult the mc(1) man page for details.</para>
 
Index: general/sysutils/pkgconfig.xml
===================================================================
--- general/sysutils/pkgconfig.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/sysutils/pkgconfig.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -81,5 +81,5 @@
     <filename>/usr/lib/pkgconfig</filename> because of the prefix used to 
     install pkgconfig.  You may add to <envar>PKG_CONFIG_PATH</envar> by exporting
-    additional paths on your system where <application>pkgconfig</application> 
+    additional paths on your system where <application>pkgconfig</application>
     files are installed. Note that <envar>PKG_CONFIG_PATH</envar> is only needed 
     when compiling packages, not during run-time.</para>
Index: general/sysutils/unzip.xml
===================================================================
--- general/sysutils/unzip.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/sysutils/unzip.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -32,5 +32,5 @@
     <para>The <application>UnZip</application> package contains 
     <filename>ZIP</filename> extraction utilities. These are useful for extracting 
-    files from <filename>ZIP</filename> archives. <filename>ZIP</filename> 
+    files from <filename>ZIP</filename> archives. <filename>ZIP</filename>
     archives are created with <application>PKZIP</application> or 
     <application>Info-ZIP</application> utilities primarily in a DOS 
@@ -153,5 +153,5 @@
         <term><command>unzip</command></term>
         <listitem>
-          <para>lists, tests or extracts files from a <filename>ZIP</filename> 
+          <para>lists, tests or extracts files from a <filename>ZIP</filename>
           archive.</para>
           <indexterm zone="unzip unzip-prog">
Index: general/sysutils/zip.xml
===================================================================
--- general/sysutils/zip.xml	(revision fc7afd0c45730218aecdb3b3aded6c7219c5d852)
+++ general/sysutils/zip.xml	(revision 0619e6d74a9208fcd523e39c40f2280ee667109d)
@@ -138,5 +138,5 @@
         <term><command>zipnote</command></term>
         <listitem>
-          <para>reads or writes comments stored in a <filename>ZIP</filename> 
+          <para>reads or writes comments stored in a <filename>ZIP</filename>
           file.</para>
           <indexterm zone="zip zipnote">