Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision 39975e9e151e7fa278327e43554c2c571c738131)
+++ appendices/glossary.xml	(revision 620a57ee2e38a55e06b8cb0a5de7df04d22225dd)
@@ -114,4 +114,7 @@
 <glossdef><para>Concurrent Versions System</para></glossdef></glossentry>
 
+<glossentry id="gDARPA"><glossterm><acronym>DARPA</acronym></glossterm>
+<glossdef><para>Directory Address Resolution Protocol Allocation</para></glossdef></glossentry>
+
 <glossentry id="gDEC"><glossterm><acronym>DEC</acronym></glossterm>
 <glossdef><para>Digital Equipment Corporation</para></glossdef></glossentry>
Index: basicnet/netprogs/inetutils.xml
===================================================================
--- basicnet/netprogs/inetutils.xml	(revision 39975e9e151e7fa278327e43554c2c571c738131)
+++ basicnet/netprogs/inetutils.xml	(revision 620a57ee2e38a55e06b8cb0a5de7df04d22225dd)
@@ -31,9 +31,18 @@
 </sect3>
 
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required Patch (If compiled using 
+<application>Linux</application>-2.6.x): <ulink 
+url="&patch-root;/inetutils-&inetutils-version;-kerner_headers-1.patch"/></para>
+</listitem>
+</itemizedlist>
+</sect3>
+
 <sect3><title><application>Inetutils</application> dependencies</title>
 <sect4><title>Optional</title>
-<para><xref linkend="Linux_PAM"/>, and <xref linkend="tcpwrappers"/></para></sect4>
+<para><xref linkend="Linux_PAM"/>, <xref linkend="tcpwrappers"/> and 
+<xref linkend="heimdal"/> or <xref linkend="mitkrb"/></para></sect4>
 </sect3>
-
 
 </sect2>
@@ -45,5 +54,6 @@
 commands:</para>
 
-<screen><userinput><command>./configure --prefix=/usr --disable-syslogd \
+<screen><userinput><command>patch -Np1 -i ../inetutils-&inetutils-version;-kernel_headers-1.patch &amp;&amp;
+./configure --prefix=/usr --disable-syslogd \
     --libexecdir=/usr/sbin --infodir=/usr/share/info \
     --sysconfdir=/etc --localstatedir=/var \
@@ -58,11 +68,12 @@
 <title>Command explanations</title>
 
-<para><option>--disable-syslogd</option>: This switch  prevents
+<para><parameter>--disable-syslogd</parameter>: This switch prevents
 <application>Inetutils</application> installing a System Log Daemon, which is 
 installed in the <acronym>LFS</acronym> Book.</para>
 
-<para><option>--with-wrap</option>: This switch makes <application>Inetutils
-</application> compile against <application>tcp-wrappers</application>. Add
-this option if you want to utilize <application>tcp-wrappers</application>.
+<para><option>--with-wrap</option>: This switch makes 
+<application>Inetutils</application> compile against 
+<application>tcp-wrappers</application>. Add this option if you want to 
+utilize <application>tcp-wrappers</application>.
 </para>
 
@@ -72,6 +83,7 @@
 <xref linkend="whois"/>.</para>
 
-<para><option>--with-pam</option>: This switch makes <application>Inetutils
-</application> link against <application>Linux-<acronym>PAM</acronym></application> libraries.
+<para><option>--with-pam</option>: This switch makes 
+<application>Inetutils</application> link against 
+<application>Linux-<acronym>PAM</acronym></application> libraries.
 Add this option if you want to utilize <acronym>PAM</acronym>.
 </para>
@@ -80,5 +92,5 @@
 <application>Inetutils</application> are insecure in nature and in some cases
 better alternatives exist. You can choose this switch to enable only the
-servers you need, avoiding the  installation of unneeded servers.</para>
+servers you need, avoiding the installation of unneeded servers.</para>
 
 </sect2>
@@ -95,5 +107,5 @@
 
 <sect3><title>ftp</title>
-<para><command>ftp</command> is a ARPANET file transfer client.</para></sect3>
+<para><command>ftp</command> is an ARPANET file transfer client.</para></sect3>
 
 <sect3><title>logger</title>
@@ -120,5 +132,6 @@
 
 <sect3><title>telnet</title>
-<para><command>telnet</command> is a user interface to the TELNET protocol.</para></sect3>
+<para><command>telnet</command> is a user interface to the TELNET 
+protocol.</para></sect3>
 
 <sect3><title>tftp</title>
@@ -127,11 +140,13 @@
 
 <sect3><title>whois</title>
-<para><command>whois</command> is a client for the whois directory service.</para></sect3>
+<para><command>whois</command> is a client for the whois directory 
+service.</para></sect3>
 
 <sect3><title>ftpd</title>
-<para><command>ftpd</command> is a DARPA Internet File Transfer Protocol server.</para></sect3>
+<para><command>ftpd</command> is a <acronym>DARPA</acronym> Internet File 
+Transfer Protocol server.</para></sect3>
 
 <sect3><title>inetd</title>
-<para><command>inetd</command> is a Internet super-server.</para></sect3>
+<para><command>inetd</command> is an Internet super-server.</para></sect3>
 
 <sect3><title>rexecd</title>
@@ -145,11 +160,14 @@
 
 <sect3><title>talkd</title>
-<para><command>talkd</command> is a remote user communication server.</para></sect3>
+<para><command>talkd</command> is a remote user communication 
+server.</para></sect3>
 
 <sect3><title>telnetd</title>
-<para><command>telnetd</command> is a DARPA TELNET protocol server.</para></sect3>
+<para><command>telnetd</command> is a <acronym>DARPA</acronym> TELNET protocol 
+server.</para></sect3>
 
 <sect3><title>tftpd</title>
-<para><command>tftpd</command> is an Internet Trivial File Transfer Protocol server.</para></sect3>
+<para><command>tftpd</command> is an Internet Trivial File Transfer Protocol 
+server.</para></sect3>
 
 <sect3><title>uucpd</title>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 39975e9e151e7fa278327e43554c2c571c738131)
+++ introduction/welcome/changelog.xml	(revision 620a57ee2e38a55e06b8cb0a5de7df04d22225dd)
@@ -19,4 +19,9 @@
 <itemizedlist>
 
+<listitem><para>July 21st, 2004 [randy]: Added kernel_headers patch and
+additional optional dependencies to inetutils instructions. Added DARPA to 
+the glossary. Added tcp_wrappers to xinetd optional dependencies.</para>
+</listitem>
+
 <listitem><para>July 21st, 2004 [randy]: Fixed Shadow instructions: build 
 using GCC-3.4.x, moving /usr/bin/passwd and added cracklib notes.
Index: server/other/xinetd.xml
===================================================================
--- server/other/xinetd.xml	(revision 39975e9e151e7fa278327e43554c2c571c738131)
+++ server/other/xinetd.xml	(revision 620a57ee2e38a55e06b8cb0a5de7df04d22225dd)
@@ -32,4 +32,9 @@
 </sect3>
 
+<sect3><title><application>xinetd</application> dependencies</title>
+<sect4><title>Optional</title>
+<para><xref linkend="tcpwrappers"/></para></sect4>
+</sect3>
+
 </sect2>
 
@@ -37,5 +42,6 @@
 <title>Installation of <application>xinetd</application></title>
 
-<para>Install <application>xinetd</application> by running the following commands:</para>
+<para>Install <application>xinetd</application> by running the following 
+commands:</para>
 
 <screen><userinput><command>./configure --prefix=/usr &amp;&amp;
@@ -49,14 +55,13 @@
 
 <sect3><title>Config files</title>
-
 <para><filename>/etc/xinetd.conf</filename></para>
-
 </sect3>
 
 <sect3><title>Configuration Information</title>
 
-<para>Ensure the path to all daemons is <filename
-class="directory">/usr/sbin</filename>, rather than the default path of
-<filename class="directory">/usr/etc</filename> by running the following
+<para>Ensure the path to all daemons is 
+<filename class="directory">/usr/sbin</filename>, rather than the default path 
+of <filename class="directory">/usr/etc</filename>, and install the 
+<application>xinetd</application> configuration file by running the following
 command:</para>
 
@@ -69,9 +74,10 @@
 
 <para>Install the <filename>/etc/rc.d/init.d/xinetd</filename>
-init script included in the <xref linkend="intro-important-bootscripts"/> package.</para>
-                                                                                                                
+init script included in the <xref linkend="intro-important-bootscripts"/> 
+package.</para>
+
 <screen><userinput><command>make install-xinetd</command></userinput></screen>
 
-<para>Now, we'll use our new boot script to start <command>xinetd</command>: </para>
+<para>Now, use the new boot script to start <command>xinetd</command>: </para>
 
 <screen><userinput><command>/etc/rc.d/init.d/xinetd start</command></userinput></screen>
@@ -81,5 +87,5 @@
 similar to the following:</para>
 
-<screen><userinput>Aug 22 21:40:21 dps10 xinetd[2696]: Server /usr/sbin/in.rlogind is not
+<screen><userinput>Aug 22 21:40:21 dps10 xinetd[2696]: Server /usr/sbin/in.rlogind is not 
 executable [line=29]
 Aug 22 21:40:21 dps10 xinetd[2696]: Error parsing attribute server -
@@ -88,6 +94,6 @@
 executable [line=42]</userinput></screen>
 
-<para>These errors are because most of the
-servers <command>xinetd</command> is trying to control are not installed yet.</para>
+<para>These errors are because most of the servers <command>xinetd</command> 
+is trying to control are not installed yet.</para>
 
 </sect3>
@@ -114,7 +120,8 @@
 
 <sect3><title>xconv.pl</title>
-<para><command>xconv.pl</command> is a <application>Perl</application> script used for converting
-<filename>inetd.conf</filename> files to <filename>xinetd.conf</filename> 
-format, similar to <command>itox</command>.</para></sect3>
+<para><command>xconv.pl</command> is a <application>Perl</application> script 
+used for converting <filename>inetd.conf</filename> files to 
+<filename>xinetd.conf</filename> format, similar to 
+<command>itox</command>.</para></sect3>
 
 </sect2>