Index: xsoft/other/rxvt-unicode.xml
===================================================================
--- xsoft/other/rxvt-unicode.xml	(revision 73d98d49332f8b4f8bdb3a6708dc618920c88011)
+++ xsoft/other/rxvt-unicode.xml	(revision 622c102155c6b669489eb960f7b712d5e1307d1f)
@@ -30,7 +30,9 @@
     <title>Introduction to rxvt-unicode</title>
 
-    <para><application>rxvt-unicode</application> is a clone of the terminal
-    emulator <application>rxvt</application>, an X Window System terminal
-    emulator which includes support for XFT and Unicode.</para>
+    <para>
+      <application>rxvt-unicode</application> is a clone of the terminal
+      emulator <application>rxvt</application>, an X Window System terminal
+      emulator which includes support for XFT and Unicode.
+    </para>
 
     &lfs91_checked;
@@ -39,20 +41,32 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&rxvt-unicode-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&rxvt-unicode-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &rxvt-unicode-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &rxvt-unicode-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &rxvt-unicode-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &rxvt-unicode-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&rxvt-unicode-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&rxvt-unicode-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &rxvt-unicode-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &rxvt-unicode-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &rxvt-unicode-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &rxvt-unicode-time;
+        </para>
       </listitem>
     </itemizedlist>
@@ -79,14 +93,19 @@
     <title>Installation of rxvt-unicode</title>
 
-    <para>Install <application>rxvt-unicode</application> by running the
-    following commands:</para>
+    <para>
+      Install <application>rxvt-unicode</application> by running the
+      following commands:
+    </para>
 
 <screen><userinput>./configure --prefix=/usr --enable-everything &amp;&amp;
 make</userinput></screen>
 
-    <para>This package does not come with a test suite.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem>
-    user:</para>
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install</userinput></screen>
@@ -97,15 +116,23 @@
     <title>Command Explanations</title>
 
-    <para><parameter>--enable-everything</parameter>: Add support for all
-    non-multichoice options. Details about the different options can be found in
-    the file <filename>README.configure</filename>.</para>
-
-    <para><option>--disable-xft</option>: Remove support for Xft fonts.</para>
-
-    <para><option>--disable-perl</option>: Disable the embedded
-    <application>Perl</application> interpreter.</para>
-
-    <para><option>--disable-afterimage</option>: Remove support for
-    libAfterImage.</para>
+    <para>
+      <parameter>--enable-everything</parameter>: Add support for all
+      non-multichoice options. Details about the different options can be
+      found in the file <filename>README.configure</filename>.
+    </para>
+
+    <para>
+      <option>--disable-xft</option>: Remove support for Xft fonts.
+    </para>
+
+    <para>
+      <option>--disable-perl</option>: Disable the embedded
+      <application>Perl</application> interpreter.
+    </para>
+
+    <para>
+      <option>--disable-afterimage</option>: Remove support for
+      libAfterImage.
+    </para>
 
   </sect2>
@@ -114,15 +141,18 @@
     <title>Configuring rxvt-unicode</title>
 
-    <para>The <application>rxvt-unicode</application> terminal emulator uses the
-    resource class <classname>URxvt</classname> and the resource name
-    <classname>urxvt</classname>. You can add X resource definitions to a user's
-    <filename>~/.Xresources</filename> or <filename>~/.Xdefaults</filename>
-    files or to the system-wide <filename>/etc/X11/app-defaults/URxvt</filename>
-    file. The following example will load the <classname>matcher</classname>
-    <application>Perl</application> extension (assuming
-    <application>Perl</application> support wasn't disabled), which enables a
-    left button click to open an underlined URL in the specified browser, sets a
-    background and foreground color and loads an Xft font (as the
-    <systemitem class="username">root</systemitem> user):</para>
+    <para>
+      The <application>rxvt-unicode</application> terminal emulator uses the
+      resource class <classname>URxvt</classname> and the resource name
+      <classname>urxvt</classname>. You can add X resource definitions to a
+      user's <filename>~/.Xresources</filename> or
+      <filename>~/.Xdefaults</filename> files or to the system-wide
+      <filename>/etc/X11/app-defaults/URxvt</filename> file. The following
+      example will load the <classname>matcher</classname>
+      <application>Perl</application> extension (assuming
+      <application>Perl</application> support wasn't disabled), which enables
+      a left button click to open an underlined URL in the specified browser,
+      sets a background and foreground color and loads an Xft font (as the
+      <systemitem class="username">root</systemitem> user):
+    </para>
 
 <screen role="root"><userinput>cat &gt;&gt; /etc/X11/app-defaults/URxvt &lt;&lt; "EOF"
@@ -150,35 +180,48 @@
 EOF</userinput></screen>
 
-    <para>In order to view the defined X resources, issue:</para>
+    <para>
+      In order to view the defined X resources, issue:
+    </para>
 
 <screen role="nodump"><userinput>xrdb -query</userinput></screen>
 
-    <para>In order to add the modifications of the new user configuration file,
-    keeping previously X configurations (of course, unless you are changing any
-    on previously define), issue:</para>
+    <para>
+      In order to add the modifications of the new user configuration file,
+      keeping previously X configurations (of course, unless you are changing
+      any on previously define), issue:
+    </para>
 
 <screen role="nodump"><userinput>xrdb -merge ~/.Xresources</userinput></screen>
 
-    <para>The <application>rxvt-unicode</application> application can also run
-    in a daemon mode, which makes it possible to open multiple terminal windows
-    within the same process. The <command>urxvtc</command> client then connects
-    to the <command>urxvtd</command> daemon and requests a new terminal window.
-    Use this option with caution. If the daemon crashes, all the running
-    processes in the terminal windows are terminated.</para>
-
-    <para>You can start the <command>urxvtd</command> daemon in the system or
-    personal startup <command>X</command> session script (e.g.,
-    <filename>~/.xinitrc</filename>) by adding the following lines near the top
-    of the script:</para>
+    <para>
+      The <application>rxvt-unicode</application> application can also run
+      in a daemon mode, which makes it possible to open multiple terminal
+      windows within the same process. The <command>urxvtc</command> client
+      then connects to the <command>urxvtd</command> daemon and requests a
+      new terminal window.  Use this option with caution. If the daemon
+      crashes, all the running processes in the terminal windows are
+      terminated.
+    </para>
+
+    <para>
+      You can start the <command>urxvtd</command> daemon in the system or
+      personal startup <command>X</command> session script (e.g.,
+      <filename>~/.xinitrc</filename>) by adding the following lines near the
+      top of the script:
+    </para>
 
 <screen role="nodump"><userinput><literal># Start the urxvtd daemon
 urxvtd -q -f -o &amp;</literal></userinput></screen>
 
-    <para>For more information, examine the <command>urxvt</command>,
-    <command>urxvtd</command>, <command>urxvtc</command>, and
-    <filename>urxvtperl</filename> man pages.</para>
-
-    <para>If you use a Desktop Environment, a menu entry can be included,
-    issuing, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      For more information, examine the <command>urxvt</command>,
+      <command>urxvtd</command>, <command>urxvtc</command>, and
+      <filename>urxvtperl</filename> man pages.
+    </para>
+
+    <para>
+      If you use a Desktop Environment, a menu entry can be included,
+      issuing, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>cat &gt; /usr/share/applications/urxvt.desktop &lt;&lt; "EOF" &amp;&amp;
@@ -199,9 +242,11 @@
 update-desktop-database -q</userinput></screen>
 
-    <para>For that, you need <xref linkend="desktop-file-utils"/> and at least
-    one of <xref linkend="gnome-icon-theme"/>, <xref linkend="oxygen-icons5"/>
-    and <xref linkend="lxde-icon-theme"/>. Uncomment the line with
-    <quote>StartupNotify=true</quote> if <xref linkend="startup-notification"/>
-    is installed.</para>
+    <para>
+      For that, you need <xref linkend="desktop-file-utils"/> and at least
+      one of <xref linkend="gnome-icon-theme"/>, <xref linkend="oxygen-icons5"/>
+      and <xref linkend="lxde-icon-theme"/>. Uncomment the line with
+      <quote>StartupNotify=true</quote> if <xref
+      linkend="startup-notification"/> is installed.
+    </para>
 
   </sect2>
@@ -231,5 +276,7 @@
         <term><command>urxvt</command></term>
         <listitem>
-          <para>is a terminal emulator for the X Window System.</para>
+          <para>
+            is a terminal emulator for the X Window System.
+          </para>
           <indexterm zone="rxvt-unicode urxvt-bin">
             <primary sortas="b-urxvt-bin">urxvt</primary>
@@ -241,5 +288,7 @@
         <term><command>urxvtd</command></term>
         <listitem>
-          <para>is the <command>urxvt</command> terminal daemon.</para>
+          <para>
+            is the <command>urxvt</command> terminal daemon.
+          </para>
           <indexterm zone="rxvt-unicode urxvtd">
             <primary sortas="b-urxvtd">urxvtd</primary>
@@ -251,5 +300,7 @@
         <term><command>urxvtc</command></term>
         <listitem>
-          <para>controls the <command>urxvtd</command> daemon.</para>
+          <para>
+            controls the <command>urxvtd</command> daemon.
+          </para>
           <indexterm zone="rxvt-unicode urxvtc">
             <primary sortas="b-urxvtc">urxvtc</primary>